<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_rekl', null, 'index.php?' . SID);
adm_check();

if (isset($_GET['sel']) && is_numeric($_GET['sel']) && $_GET['sel'] > 0 && $_GET['sel'] <= 4) {
    $sel = intval($_GET['sel']);
    $set['title'] = 'Реклама';

    include_once THEAD;

    title();

    if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['link']) && isset($_POST['img']) && isset($_POST['ch']) && isset($_POST['mn'])) {
        $ch = intval($_POST['ch']);
        $mn = intval($_POST['mn']);
        $time_last = time() + $ch * $mn * 60 * 60 * 24;

        if (isset($_POST['dop_str']) && $_POST['dop_str'] == 1) {
            $dop_str = 1;
        } else {
            $dop_str = 0;
        }

        $link = stripcslashes(htmlspecialchars($_POST['link']));
        $name = stripcslashes(htmlspecialchars($_POST['name']));
        $img = stripcslashes(htmlspecialchars($_POST['img']));

        dbquery("INSERT INTO `rekl` (`time_last`, `name`, `img`, `link`, `sel`, `dop_str`) VALUES ('$time_last', '$name', '$img', '$link', '$sel', '$dop_str')");

        msg('Рекламная ссылка добавлена');
    } elseif (isset($_GET['set']) && dbresult(dbquery("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel' AND `id` = '" . intval($_GET['set']) . "'"), 0) && isset($_POST['name']) && isset($_POST['link']) && isset($_POST['img']) && isset($_POST['ch']) && isset($_POST['mn'])) {
        $rekl = dbassoc(dbquery("SELECT * FROM `rekl` WHERE `sel` = '$sel' AND `id` = '" . intval($_GET['set']) . "' LIMIT 1"));
        $ch = intval($_POST['ch']);
        $mn = intval($_POST['mn']);

        if ($rekl['time_last'] > time()) {
            $time_last = $rekl['time_last'] + $ch * $mn * 60 * 60 * 24;
        } else {
            $time_last = time() + $ch * $mn * 60 * 60 * 24;
        }

        $link = stripcslashes(htmlspecialchars($_POST['link']));
        $name = stripcslashes(htmlspecialchars($_POST['name']));
        $img = stripcslashes(htmlspecialchars($_POST['img']));

        if (isset($_POST['dop_str']) && $_POST['dop_str'] == 1) {
            $dop_str = 1;
        } else {
            $dop_str = 0;
        }

        dbquery("UPDATE `rekl` SET `time_last` = '$time_last', `name` = '$name', `link` = '$link', `img` = '$img', `dop_str` = '$dop_str' WHERE `id` = '" . intval($_GET['set']) . "'");

        msg('Рекламная ссылка изменена');
    } elseif (isset($_GET['del']) && dbresult(dbquery("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel' AND `id` = '" . intval($_GET['del']) . "'"), 0)) {
        dbquery("DELETE FROM `rekl` WHERE `id` = '" . intval($_GET['del']) . "' LIMIT 1");

        msg('Рекламная ссылка удалена');
    }

    err();
    aut();

    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = dbquery("SELECT * FROM `rekl` WHERE `sel` = '$sel' ORDER BY `time_last` DESC LIMIT $start, $set[p_str]");

    echo '<div class="list-group">';

    if ($k_post == 0) {
        echo "<div class='list-group-item'>\n";
        echo "Нет результатов\n";
        echo "</div>\n";
    }

    while ($post = dbassoc($q)) {
        echo "<div class='list-group-item'>\n";

        if ($post['img'] == NULL) {
            echo "$post[name]<br />\n";
        } else {
            echo "<a href='$post[img]'>[картинка]</a>\n";
        }
        if ($post['time_last'] > time()) {
            echo "(до " . vremja($post['time_last']) . ")<br />\n";
        } else {
            echo "(срок показа истек)<br />\n";
        }

        echo "Ссылка: $post[link]<br />\n";
        if ($post['img'] != NULL) {
            echo "Картинка: $post[img]<br />\n";
        }
        if ($post['dop_str'] == 1) {
            echo "Переходов: $post[count]<br />\n";
        }

        echo "<a href='rekl.php?sel=$sel&amp;del=$post[id]&amp;page=$page' class='badge text-bg-danger'><i class='mdi mdi-delete'></i> Удалить</a> \n";

        if (isset($_GET['set']) && $_GET['set'] == $post['id']) {
            echo "<form method='post' action='rekl.php?sel=$sel&amp;set=$post[id]&amp;page=$page'>\n";
            echo "<div class='mb-3'>";
            echo "<label class='form-label'>Ссылка</label><br />\n";
            echo "<input type=\"text\" class='form-control' name=\"link\" value=\"$post[link]\" />\n";
            echo "</div>\n";

            echo "<div class='mb-3'>";
            echo "<label class='form-label'>Название</label><br />\n";
            echo "<input type=\"text\" name=\"name\" class='form-control' value=\"$post[name]\" />\n";
            echo "</div>\n";

            echo "<div class='mb-3'>";
            echo "<label class='form-label'>Картинка</label><br />\n";
            echo "<input type=\"text\" class='form-control' name=\"img\" value=\"$post[img]\" />\n";
            echo "</div>\n";

            if ($post['time_last'] > time()) {
                echo "Продлить на:<br />\n";
            } else {
                echo "Продлить до:<br />\n";
            }

            echo "<div class='input-group mb-3'>";
            echo "<input type=\"text\" name=\"ch\" class='form-control' size='3' value=\"0\" />\n";
            echo "<select name=\"mn\" class='form-control'>\n";
            echo "  <option value=\"1\" selected='selected'>Дней</option>\n";
            echo "  <option value=\"7\">Недель</option>\n";
            echo "  <option value=\"31\">Месяцев</option>\n";
            echo "</select>\n";
            echo "</div>\n";

            if ($post['dop_str'] == 1) {
                $dop = " checked='checked'";
            } else {
                $dop = NULL;
            }
            echo "<div class='mb-3'>";
            echo "<input type=\"checkbox\"$dop class='form-check-input' name=\"dop_str\" value=\"1\" />\n";
            echo "<label class='form-label'>Доп. страница</label>\n";
            echo "</div>\n";

            echo "<button type='submit' class='btn btn-success'>Сохранить изменения</button>\n";
            echo "<a href='rekl.php?sel=$sel&amp;page=$page' class='btn btn-outline-secondary'>Отмена</a>\n";
            echo "</form>\n";
        } else {
            echo "<a href='rekl.php?sel=$sel&amp;set=$post[id]&amp;page=$page' class='badge text-bg-secondary'><i class='mdi mdi-pencil'></i> Редактировать</a><br />\n";
        }

        echo "</div>\n";
    }


    if ($k_page > 1) {
        str("rekl.php?sel=$sel&amp;", $k_page, $page);
    } // Вывод страниц


    echo "<form class='list-group-item' method='post' action='rekl.php?sel=$sel&amp;add'>\n";
    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Название</label><br />\n";
    echo "<input type=\"text\" name=\"name\" class='form-control' value=\"\" />\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Ссылка</label><br />\n";
    echo "<input type=\"text\" name=\"link\" class='form-control' value=\"\" />\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Картинка</label><br />\n";
    echo "<input type=\"text\" class='form-control' name=\"img\" value=\"\" />\n";
    echo "</div>\n";

    echo "<label class='form-label'>Срок действия</label><br />\n";

    echo "<div class='input-group mb-3'>";
    echo "<input type=\"text\" name=\"ch\" class='form-control' size='3' value=\"1\" />\n";
    echo "<select name=\"mn\" class='form-control'>\n";
    echo "  <option value=\"1\">Дней</option>\n";
    echo "  <option value=\"7\" selected='selected'>Недель</option>\n";
    echo "  <option value=\"31\">Месяцев</option>\n";
    echo "</select>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<input type=\"checkbox\" class='form-check-input' checked='checked' name=\"dop_str\" value=\"1\" />\n";
    echo "<label class='form-label'>Доп. страница</label>\n";
    echo "</div>\n";

    echo "<button type='submit' class='btn btn-primary'>Добавить</button>\n";
    echo "</form>\n";

    echo "<div class='list-group-item'>\n";
    echo "<a href='rekl.php'><i class='mdi mdi-arrow-u-left-top'></i> Список рекламы</a><br />\n";
    echo "</div>\n";

    if (user_access('adm_panel_show')) {
        echo "<div class='list-group-item list-group-item-light'>\n";
        echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />";
        echo "</div>\n";
    }

    include_once TFOOT;
}
echo "</div>\n";

$set['title'] = 'Реклама';

include_once THEAD;

title();
err();
aut();

echo '<div class="list-group">';
echo "<a href='rekl.php?sel=3' class='list-group-item'><i class='mdi mdi-chevron-right'></i> Низ сайта (главная)</a>\n";
echo "<a href='rekl.php?sel=4' class='list-group-item'><i class='mdi mdi-chevron-right'></i> Низ сайта (остальные)</a>\n";

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />";
    echo "</div>\n";
}
echo "</div>\n";

include_once TFOOT;
