<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
$temp_set = $set;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_set_chat', null, 'index.php?' . SID);

adm_check();

$set['title'] = 'Настройки чата';

include_once THEAD;

title();

if (isset($_POST['save'])) {
    $temp_set['time_chat'] = intval($_POST['time_chat']);

    dbquery("ALTER TABLE `user` CHANGE `set_time_chat` `set_time_chat` INT( 11 ) DEFAULT '$temp_set[time_chat]'");

    $temp_set['umnik_new'] = intval($_POST['umnik_new']);
    $temp_set['umnik_help'] = intval($_POST['umnik_help']);
    $temp_set['umnik_time'] = intval($_POST['umnik_time']);
    $temp_set['shutnik_new'] = intval($_POST['shutnik_new']);

    if (preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['chat_shutnik']) && strlen2($_POST['chat_shutnik']) > 2 && strlen2($_POST['chat_shutnik']) <= 32) {
        $temp_set['chat_shutnik'] = $_POST['chat_shutnik'];
    }

    if (preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['chat_umnik']) && strlen2($_POST['chat_umnik']) > 2 && strlen2($_POST['chat_umnik']) <= 32) {
        $temp_set['chat_umnik'] = $_POST['chat_umnik'];
    }

    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Система', 'Изменение параметров чата');

        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}

err();
aut();

echo "<div class='list-group'>";
echo "<form method=\"post\" class='list-group-item' action=\"?\">\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Автообновление в чате</label>\n";
echo "<input type='text' class='form-control' name='time_chat' value='$temp_set[time_chat]' maxlength='3' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Таймаут между вопросами (умник в чате):</label>\n";
echo "<input type='text' class='form-control' name='umnik_new' value='$temp_set[umnik_new]' maxlength='3' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Таймаут между подсказками (умник в чате):</label>\n";
echo "<input type='text' class='form-control' name='umnik_help' value='$temp_set[umnik_help]' maxlength='3' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Общее время ожидание ответа (умник в чате):</label>\n";
echo "<input type='text' class='form-control' name='umnik_time' value='$temp_set[umnik_time]' maxlength='3' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Таймаут между шутками (шутник в чате):</label>\n";
echo "<input type='text' class='form-control' name='shutnik_new' value='$temp_set[shutnik_new]' maxlength='3' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Логин шутника:</label>\n";
echo "<input type='text' name='chat_shutnik' class='form-control' value='$temp_set[chat_shutnik]' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Логин умника:</label>\n";
echo "<input type='text' name='chat_umnik' class='form-control' value='$temp_set[chat_umnik]' />\n";
echo "</div>\n";

echo "<button type='submit' name='save' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>\n";
echo "</form>\n";

echo "<div class='list-group-item'>\n";
echo "<a href='/adm_panel/chat_shut.php'><i class='mdi mdi-arrow-u-left-top'></i> Шутки</a><br />\n";
echo "</div>\n";

echo "<div class='list-group-item'>\n";
echo "<a href='/adm_panel/chat_vopr.php'><i class='mdi mdi-arrow-u-left-top'></i> Вопросы викторины</a><br />\n";
echo "</div>\n";

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />\n";
    echo "</div>\n";
}

echo "</div>\n";

include_once TFOOT;
