<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
$temp_set = $set;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_set_forum', null, 'index.php?' . SID);

adm_check();

$set['title'] = 'Настройки форума';

include_once THEAD;

title();

if (isset($_POST['save'])) {
    if ($_POST['show_num_post'] == 1 || $_POST['show_num_post'] == 0) {
        $temp_set['show_num_post'] = intval($_POST['show_num_post']);
    }

    if ($_POST['echo_rassh_forum'] == 1 || $_POST['echo_rassh_forum'] == 0) {
        $temp_set['echo_rassh_forum'] = intval($_POST['echo_rassh_forum']);
    }

    if ($_POST['forum_counter'] == 1 || $_POST['forum_counter'] == 0) {
        $temp_set['forum_counter'] = intval($_POST['forum_counter']);
    }

    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Форум', 'Изменение настроек форума');

        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}

err();
aut();

echo "<div class='list-group'>";
echo "<form method=\"post\" class='list-group-item' action=\"?\">\n";

echo "Нумерация постов в форуме:<br />\n<select class='form-control' name=\"show_num_post\">\n";

if ($temp_set['show_num_post'] == 1) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Показывать</option>\n";

if ($temp_set['show_num_post'] == 0) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"0\"$sel>Скрывать</option>\n";
echo "</select>\n";

echo "Счетчик форума:<br />\n<select class='form-control' name=\"forum_counter\">\n";

if ($temp_set['forum_counter'] == 1) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Количество человек</option>\n";

if ($temp_set['forum_counter'] == 0) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"0\"$sel>Посты/Темы</option>\n";
echo "</select>\n";

echo "Показ расширений файлов:<br />\n<select class='form-control' name=\"echo_rassh_forum\">\n";

if ($temp_set['echo_rassh_forum'] == 1) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Показывать</option>\n";

if ($temp_set['echo_rassh_forum'] == 0) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"0\"$sel>Скрывать *</option>\n";
echo "</select><br />\n";

echo "* Скрывается только в случае, если есть подходящая иконка<br />\n";

echo "<button type='submit' name='save' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>\n";
echo "</form>\n";

if (user_access('adm_forum_sinc')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='/adm_panel/forum_sinc.php'><i class='mdi mdi-arrow-left'></i> Синхронизация таблиц форума</a><br />\n";
    echo "</div>\n";
}
if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />\n";
    echo "</div>\n";
}
echo "</div>\n";

include_once TFOOT;
?>