<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
$temp_set = $set;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_set_loads', null, 'index.php?' . SID);

adm_check();

$set['title'] = 'Настройки загрузок';

include_once THEAD;

title();

if (isset($_POST['save'])) {
    $temp_set['downloads_select'] = intval($_POST['downloads_select']);
    $temp_set['obmen_limit_up'] = intval($_POST['obmen_limit_up']);
    $temp_set['loads_new_file_hour'] = intval($_POST['loads_new_file_hour']);

    if ($_POST['echo_rassh'] == 1 || $_POST['echo_rassh'] == 0) {
        $temp_set['echo_rassh'] = intval($_POST['echo_rassh']);
    }

    if (test_file(H . $_POST['copy_path']) || $_POST['copy_path'] == null) {
        $temp_set['copy_path'] = $_POST['copy_path'];
    }

    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Загрузки', 'Изменение настроек загруз-центра');

        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}

err();
aut();

echo "<div class='list-group'>";
echo "<form method=\"post\" class='list-group-item' action=\"?\">\n";
echo "<div class='mb-3'>";
echo "<label class='form-label'>Режим скачивания:</label>\n";
echo "<select class='form-control' name=\"downloads_select\">\n";
echo "<option value=\"0\">Разрешено всем</option>\n";

if ($temp_set['downloads_select'] == '1') {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Только авторизованым</option>\n";

if ($temp_set['downloads_select'] == '2') {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"2\"$sel>Авторизованым + 100 баллов</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Показ расширений файлов:</label>\n";
echo "<select class='form-control' name=\"echo_rassh\">\n";

if ($temp_set['echo_rassh'] == 1) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"1\"$sel>Показывать</option>\n";

if ($temp_set['echo_rassh'] == 0) {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value=\"0\"$sel>Скрывать</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "Время, в течении которого файл считается новым (часы):<br />\n";
echo "<input type='text' class='form-control' name='loads_new_file_hour' value='$temp_set[loads_new_file_hour]' />\n";

echo "Файл копирайта (на картинки):<br />\n";
echo "<input type='text' class='form-control' name='copy_path' value='$temp_set[copy_path]' />\n";

echo "Обменник (ограничение в баллах на выгрузку файлов):<br />\n";
echo "<input name=\"obmen_limit_up\" class='form-control' value=\"$temp_set[obmen_limit_up]\" type=\"text\" /><br />\n";

echo "<button type='submit' name='save' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>\n";

echo "</form>\n";

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> Панель управления</a>\n";
    echo "</div>\n";
}
echo "</div>\n";

include_once TFOOT;
?>