<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';

user_access('user_settings', null, 'index.php?' . SID);

adm_check();

$set['title'] = __('Настройки пользователей');

include_once H . 'sys/inc/thead.php';

title();

if (isset($_POST['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['url']) && $_POST['url'] != NULL && isset($_POST['counter'])) {
    $name = my_esc($_POST['name']);
    $url = my_esc($_POST['url']);
    $counter = my_esc($_POST['counter']);
    $pos = dbresult(dbquery("SELECT MAX(`pos`) FROM `user_settings`"), 0) + 1;
    $accesses = my_esc($_POST['accesses']);
    $icon = preg_replace('#[^a-z0-9 _\-\.]#i', null, $_POST['icon']);

    dbquery("INSERT INTO `user_settings` (`name`, `url`, `counter`, `pos`, `img`,`time`,`accesses`) VALUES ('$name', '$url', '$counter', '$pos', '$icon','" . time() . "','$accesses')");

    $_SESSION['message'] = __('Ссылка успешно добавлена');
    exit(header('Location: ?'));
}

if (isset($_POST['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['counter']) && isset($_POST['type']) && $_POST['type'] == 'razd') {
    $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
    $url = esc(stripcslashes(htmlspecialchars($_POST['url'])));
    $counter = esc(stripcslashes(htmlspecialchars($_POST['counter'])));
    $pos = dbresult(dbquery("SELECT MAX(`pos`) FROM `user_settings`"), 0) + 1;
    $img = preg_replace('#[^a-z0-9 _\-\.]#i', null, $_POST['icon']);

    dbquery("INSERT INTO `user_settings` (`type`, `name`, `url`, `counter`, `pos`, `img`) VALUES ('razd', '$name', '$url', '$counter', '$pos', '$img')");
    $_SESSION['message'] = __('Раздел успешно добавлен');
    exit(header('Location: ?'));
}

if (isset($_POST['change']) && isset($_GET['id']) && isset($_POST['name']) && $_POST['name'] != NULL) {
    $id = intval($_GET['id']);
    $name = my_esc($_POST['name']);
    $url = my_esc($_POST['url']);
    $counter = my_esc($_POST['counter']);
    $accesses = my_esc($_POST['accesses']);
    $icon = preg_replace('#[^a-z0-9 _\-\.]#i', null, $_POST['icon']);

    dbquery("UPDATE `user_settings` SET `name` = '$name', `url` = '$url', `counter` = '$counter', `img` = '$icon' ,`accesses` = '$accesses' WHERE `id` = '$id' LIMIT 1");
    $_SESSION['message'] = __('Пункт меню успешно изменен');
    exit(header('Location: ?'));
}

if (isset($_GET['id']) && isset($_GET['act']) && dbresult(dbquery("SELECT COUNT(*) FROM `user_settings` WHERE `id` = '" . intval($_GET['id']) . "'"), 0)) {

    $menu = dbassoc(dbquery("SELECT * FROM `user_settings` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1"));
    if ($_GET['act'] == 'up') {
        dbquery("UPDATE `user_settings` SET `pos` = '" . ($menu['pos']) . "' WHERE `pos` = '" . ($menu['pos'] - 1) . "' LIMIT 1");
        dbquery("UPDATE `user_settings` SET `pos` = '" . ($menu['pos'] - 1) . "' WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1");

        $_SESSION['message'] = __('Пункт сдвинут на позицию вверх');
        exit(header('Location: ?'));
    }
    if ($_GET['act'] == 'down') {
        dbquery("UPDATE `user_settings` SET `pos` = '" . ($menu['pos']) . "' WHERE `pos` = '" . ($menu['pos'] + 1) . "' LIMIT 1");
        dbquery("UPDATE `user_settings` SET `pos` = '" . ($menu['pos'] + 1) . "' WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1");

        $_SESSION['message'] = __('Пункт сдвинут на позицию вниз');
        exit(header('Location: ?'));
    }
    if ($_GET['act'] == 'del') {

        dbquery("DELETE FROM `user_settings` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1");

        $_SESSION['message'] = __('Пункт удален');
        exit(header('Location: ?'));
    }
}



err();
aut();

echo '<div class="list-group">';

$q = dbquery("SELECT * FROM `user_settings` ORDER BY `pos` ASC");
while ($post = dbassoc($q)) {
    echo "<div class='list-group-item" . ($post['type'] == 'razd' ? ' list-group-item-secondary' : null) . "'>";

//Выводим иконку
    if (($post['type'] == 'link') || ($post['type'] == 'razd')) {
        echo "<i class='mdi mdi-$post[img]'></i> ";
    } else {
        echo "<i class='mdi mdi-animation-outline'></i> ";
    }

    echo __($post['name']) . "";

    echo "<br />\n";

    echo ($post['type'] == 'link' ? '<b>' . __('Ссылка') . ':</b>' : '<b>' . __('Раздел') . ':</b>') . ' ' . $post['url'] . ' <br/>';

    if (isset($_GET['id']) && $_GET['id'] == $post['id'] && isset($_GET['act']) && $_GET['act'] == 'edit') {
        echo "<form action=\"?id=$post[id]\" class='ui form' method=\"post\">";

        echo "<label class='form-label'>Тип: " . ($post['type'] == 'link' ? 'Ссылка' : 'Раздел') . "</label><br />\n";

        if ($post['type'] == 'link') {
            echo "<label class='form-label'>Ссылка: </label><br />\n";
            echo "<input type='text' class='form-control' name='url' value='$post[url]' /><br />\n";
        } else {
            echo "<input type='hidden' class='form-control' name='url' value='' /><br />\n";
        }

        echo "<div class='mb-3'>";
        echo "<label class='form-label'>Название: </label><br />\n";
        echo "<input type='text' class='form-control' name='name' value=\"$post[name]\" />\n";
        echo "</div>";

        echo "<div class='mb-3'>";
        echo "<label class='form-label'>Права доступа: </label><br />\n";
        echo "<input type=\"text\" name=\"accesses\" class='form-control' value=\"" . ($post['accesses']) . "\"/>";
        echo "</div>";

        echo "<div class='mb-3'>";
        echo "<label class='form-label'>Счетчик: </label><br />\n";
        echo "<input type='text' class='form-control' name='counter' value='$post[counter]' />\n";
        echo "</div>";

        echo "<div class='mb-3'>";
        echo "<label class='form-label'><i class='mdi mdi-$post[img]'></i> <b>Иконка:</b> <a href='https://pictogrammers.com/library/mdi/'>" . __('посмотреть иконки') . "</a> </label><br />\n";
        if ($post['type'] == 'link') {
            echo "<input type='text' class='form-control' name='icon' value='$post[img]' />\n";
        } else {
            echo "<input type='hidden' class='form-control' name='icon' value='$post[img]' />\n";
        }
        echo "</div>";

        echo "<button type='submit' name='change' class='btn btn-primary'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>\n";
        echo "<a href='?' class='btn btn-outline-secondary'>Отмена</a>";
        echo "</form>";
    } else {

        echo '<b>' . __('Счетчик') . ':</b> ' . ($post['counter'] == null ? __('отсутствует') : $post['counter']) . "<br />";
        echo "<a href='?id=$post[id]&amp;act=up&amp;$passgen'>" . __('Выше') . "</a> &ensp; ";
        echo "<a href='?id=$post[id]&amp;act=down&amp;$passgen'>" . __('Ниже') . "</a> &ensp; ";
        echo "<a href='?id=$post[id]&amp;act=edit'>" . __('Редактировать') . " </a> &ensp; ";
        echo "<a href='?id=$post[id]&amp;act=del&amp;$passgen'> " . __('Удалить') . "</a>";
    }

    echo "  </div>";
}
$adm_menu = dbresult(dbquery("SELECT COUNT(*) FROM `user_settings` WHERE `pos`"), 0);

if (empty($adm_menu)) {
    echo "<div class='list-group-item'>";
    echo "<i class='mdi mdi-layers-outline'></i> Нет результатов";
    echo "</div>";
}



if (isset($_GET['add'])) {
    echo "<form action='?add=$passgen' class='list-group-item' method=\"post\">";
    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Тип:</label><br />\n";
    echo "<select name='type' class='form-select'>\n";
    echo "<option value='link'>Ссылка (1)</option>\n";
    echo "<option value='razd'>Раздел (2)</option>\n";
    echo "</select>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Название (1,2):</label><br />\n";
    echo "<input type=\"text\" name=\"name\" class='form-control' value=\"\"/>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Права доступа:</label><br />\n";
    echo "<input type=\"text\" class='form-control' name=\"accesses\" value=\"\"/>";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Ссылка(1):</label><br />\n";
    echo "<input type=\"text\" name=\"url\" class='form-control' value=\"\"/>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Счетчик (1,2):</label><br />\n";
    echo "<input type=\"text\" name=\"counter\" class='form-control' value=\"\"/>\n";
    echo "</div>\n";

    echo "<div class='mb-3'>";
    echo "<label class='form-label'>Иконка (1): <a href='https://pictogrammers.com/library/mdi/'>" . __('посмотреть иконки') . "</a></label><br />\n";
    echo "<input type=\"text\" name=\"icon\" class='form-control' value=\"\"/>\n";
    echo "</div>\n";

    echo "<button type='submit' name='add' class='btn btn-primary'>Добавить</button>\n";
    echo "<a href='?$passgen' class='btn btn-outline-secondary'>Отмена</a>\n";
    echo "</form>";
} else {
    echo "<div class='list-group-item'><a href='?add=$passgen' class='btn btn-outline-primary'><i class='mdi mdi-playlist-plus'></i> Добавить пункт</a></div>\n";
}

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />";
    echo "</div>\n";
}
echo "</div>";

include_once '../sys/inc/tfoot.php';
?>