<?php
if ($user['level'] > $ank['level'] || $user['id'] == $ank['id']) {
    if (isset($_GET['edit']) && $_GET['edit'] == 'rename') {
        ?>

        <form action="?edit=rename&amp;ok" class="list-group-item" method="post">

            <div class='mb-3'>
                <label class='form-label'>Название альбома:</label>
                <input type="text" name="name" class='form-control' value="<?= text($gallery['name']) ?>" />
            </div>

            <div class='mb-3'>
                <label class='form-label'>Описание:<?= $tPanel ?></label>
                <textarea name="opis" class='form-control'></textarea>
            </div>

            <div class='mb-3'>
                <label class='form-label'>Пароль:</label>
                <input type="text" name="pass" class='form-control' value="<?= text($gallery['pass']) ?>" />
            </div>

            <div class='mb-3'>
                Могут смотреть:<br />
                <div class="form-check">
                    <input name="privat" class="form-check-input" type="radio" <?= ($gallery['privat'] == 0 ? ' checked="checked"' : null) ?> value="0" /><label class="form-check-label">Все </label>
                </div>
                <div class="form-check">
                    <input name="privat" class="form-check-input" type="radio" <?= ($gallery['privat'] == 1 ? ' checked="checked"' : null) ?>value="1" /><label class="form-check-label">Друзья </label>
                </div>
                <div class="form-check">
                    <input name="privat" class="form-check-input" type="radio" <?= ($gallery['privat'] == 2 ? ' checked="checked"' : null) ?>value="2" /><label class="form-check-label">Только я</label>
                </div>
            </div>

            <div class='mb-3'>
                Могут комментировать:<br />
                <div class="form-check">
                    <input name="privat_komm" class="form-check-input" type="radio" <?= ($gallery['privat_komm'] == 0 ? ' checked="checked"' : null) ?> value="0" /><label class="form-check-label">Все </label>
                </div>
                <div class="form-check">
                    <input name="privat_komm" class="form-check-input" type="radio" <?= ($gallery['privat_komm'] == 1 ? ' checked="checked"' : null) ?> value="1" /><label class="form-check-label">Друзья </label>
                </div>
                <div class="form-check">
                    <input name="privat_komm" class="form-check-input" type="radio" <?= ($gallery['privat_komm'] == 2 ? ' checked="checked"' : null) ?> value="2" /><label class="form-check-label">Только я</label>
                </div>
            </div>

            <button type='submit' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>
        </form>

        <div class="list-group-item">
            <i class='mdi mdi-arrow-left'></i> <?= user::nick($ank['id']) ?> | 
            <a href="/foto/<?= $ank['id'] ?>/">Альбомы</a> | 
            <a href="/foto/<?= $ank['id'] ?>/<?= $gallery['id'] ?>/"><?= text($gallery['name']) ?></a> | 
            <b>Редактирование</b>
        </div>
        <?php
        include_once TFOOT;
        exit;
    }
}


if ((user_access('foto_alb_del') || isset($user) && $user['id'] == $ank['id']) && isset($_GET['act']) && $_GET['act'] == 'delete') {
    ?>
    <div class='list-group-item'>
        Вы действительно хотите удалить фотоальбом <b><?= text($gallery['name']) ?></b>, и все фотографии в нем?<br />
        <a href="?act=delete&amp;ok" class="badge text-bg-danger">Удалить</a>  
        <a href="?act=delete&amp;ok" class="badge text-bg-light">Отмена</a> 
    </div>
    <?php
}


if (isset($user) && $user['id'] == $ank['id'] && isset($_GET['act']) && $_GET['act'] == 'upload') {
    ?>
    <div class="list-group-item">
        <i class="mdi mdi-arrow-left"></i> <?= user::nick($ank['id']) ?> | 
        <a href="/foto/<?= $ank['id'] ?>/">Альбомы</a> | 
        <a href="/foto/<?= $ank['id'] ?>/<?= $gallery['id'] ?>/"><?= text($gallery['name']) ?></a> | 
        <b>Загрузка фотографии</b>
    </div>

    <form class="list-group-item" id="photo_form" enctype="multipart/form-data" action="?act=upload&amp;ok" method="post">
        Название:<br />
        <input name="name" class='form-control' type="text" /><br />

        Файл:<br />
        <input name="file" type="file" class='form-control' accept="image/*,image/jpeg" /><br />

        Описание:<?= $tPanel ?>
        <textarea name="opis" class='form-control'></textarea><br />

        <div class="form-check">
            <input type="checkbox" name="metka" class="form-check-input" value="1" />
            <label class="form-check-label">Метка <font color="red">18+</font></label>
        </div>

        <button type='submit' class='btn btn-success'>Выгрузить</button>
    </form>

    <div class="list-group-item list-group-item-warning">
        <b>Размещаемые на сайте фото не должны:</b><br />
        * нарушать действующее законодательство, честь и достоинство, права и охраняемые законом интересы третьих лиц, способствовать разжиганию религиозной, расовой или межнациональной розни, содержать сцены насилия, либо бесчеловечного обращения с животными, и т.д.;<br />
        * носить непристойный или оскорбительный характер;<br />
        * содержать рекламу наркотических средств;<br />
        * нарушать права несовершеннолетних лиц;<br />
        * нарушать авторские и смежные права третьих лиц;<br />
        * носить порнографический характер;<br />
        * содержать коммерческую рекламу в любом виде.<br />
    </div>

    <div class="list-group-item">
        <i class="mdi mdi-arrow-left"></i> <?= user::nick($ank['id']) ?> | 
        <a href="/foto/<?= $ank['id'] ?>/">Альбомы</a> | 
        <a href="/foto/<?= $ank['id'] ?>/<?= $gallery['id'] ?>/"><?= text($gallery['name']) ?></a> | 
        <b>Загрузка фотографии</b>
    </div>
    <?php
    include_once TFOOT;
    exit;
}
?>