<?php

if (!isset($user) && !isset($_GET['id_user'])) {
    header("Location: /foto/?" . SID);
    exit;
}

if (isset($user)) {
    $ank['id'] = $user['id'];
}

if (isset($_GET['id_user'])) {
    $ank['id'] = intval($_GET['id_user']);
}

// Автор альбома
$ank = get_user($ank['id']);

if (!$ank) {
    header("Location: /foto/?" . SID);
    exit;
}

// Если вы в бане 
if (dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'foto' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

// заголовок страницы
$set['title'] = user::nick($ank['id'], 0) . ' - Фотоальбомы';

// Это при создании нового альбома
include 'inc/gallery_act.php';

include_once THEAD;

title();
aut();
err();

echo '<div class="list-group">';
// Создание альбомов
include 'inc/gallery_form.php';


if ($ank['id'] == $user['id']) {
    echo '<div class="list-group-item"><a href="/foto/' . $ank['id'] . '/?act=create" class="btn btn-outline-secondary btn-sm"><i class="mdi mdi-image-album"></i> Добавить альбом</a></div>';
}


// Подключаем приватность стр. 
include H . 'sys/add/user.privace.php';

$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `gallery` WHERE `id_user` = '$ank[id]'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    echo '<div class="list-group-item">';
    echo 'Нет результатов';
    echo '</div>';
}

$q = dbquery("SELECT * FROM `gallery` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

while ($post = dbassoc($q)) {
    echo '<div class="list-group-item">';

    // Cчетчик фотографий
    $count = dbresult(dbquery("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$post[id]'"), 0);

    echo "<a href='/foto/$ank[id]/$post[id]/'><i class='mdi mdi-" . ($post['pass'] != null || $post['privat'] != 0 ? 'lock' : 'image-album') . "'></i> " . text($post['name']) . "</a>";

    echo "<span style='float:right'>";
    if (isset($user) && (user_access('foto_alb_del') || $user['id'] == $ank['id'])) {
        echo '<a href="/foto/' . $ank['id'] . '/' . $post['id'] . '/?edit=rename" class="badge bg-secondary">Редактировать</a> ';
        echo '<a href="/foto/' . $ank['id'] . '/' . $post['id'] . '/?act=delete" class="badge bg-secondary">Удалить</a> ';
    }
    echo "<span class='badge text-bg-info'><i class='mdi mdi-camera'></i> $count</span>";
    echo "</span>";

    echo '<br />';

    if ($post['opis'] == null) {
        //echo 'Без описания<br />';
    } else {
        echo "<small style='color:grey'>";
        echo output_text($post['opis']);
        echo "</small>";
    }

    //echo 'Создан: ' . vremja($post['time_create']);

    echo '</div>';
}


// Вывод страниц
if ($k_page > 1) {
    str('?', $k_page, $page);
}

echo '<div class="list-group-item">';
echo '<i class="mdi mdi-arrow-left"></i> ' . user::nick($ank['id']) . ' | <b>Альбомы</b>';
echo '</div>';
echo '</div>';

include_once TFOOT;
exit;
?>