
CREATE TABLE `user_settings` (
  `id` int(11) NOT NULL,
  `type` enum('link','razd') NOT NULL DEFAULT 'link',
  `name` varchar(99) NOT NULL,
  `url` varchar(99) NOT NULL,
  `counter` varchar(99) NOT NULL,
  `pos` int(11) NOT NULL DEFAULT '0',
  `img` varchar(99) DEFAULT 'animation-outline',
  `accesses` varchar(99) DEFAULT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Настройки пользователя';

INSERT INTO `user_settings` (`id`, `type`, `name`, `url`, `counter`, `pos`, `img`, `accesses`, `time`) VALUES
(1, 'razd', 'Настройки', '', '', 1, 'animation-outline', NULL, 1695234188),
(2, 'link', 'Общие настройки', '/user/settings/settings.php', '', 2, 'cog-outline', '', 1695233507),
(3, 'link', 'Отображение и вид', '/user/settings/view.php', '', 3, 'tooltip-image-outline', '', 1695314356),
(4, 'link', 'Настройки ленты', '/user/tape/settings.php', '', 4, 'receipt-text-edit-outline', '', 1695317872),
(5, 'link', 'Настройки обсуждений', '/user/discussions/settings.php', '', 5, 'message-cog', '', 1695318002),
(6, 'link', 'Настройки уведомлений', '/user/notification/settings.php', '', 6, 'bell-cog', '', 1695405929),
(7, 'link', 'Приватность', '/user/settings/settings.privacy.php', '', 7, 'account-lock-outline', '', 1695406114),
(8, 'link', 'Пароль аккаунта', '/user/settings/password.php', '', 8, 'form-textbox-password', '', 1695406944);

ALTER TABLE `user_settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `pos` (`pos`);

ALTER TABLE `user_settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;
COMMIT;