<?php

if (user_access('obmen_dir_edit') && isset($_GET['act']) && $_GET['act'] == 'set') {
    echo "<form class=\"list-group-item\" action='?act=set&amp;ok&amp;page=$page' method=\"post\">";

    echo "<div class='mb-3'>";
    echo '<label class="form-label">Название папки:</label>';
    echo "<input type='text' name='name' class='form-control' value='" . htmlspecialchars($dir_id['name']) . "' />\n";
    echo '</div>';

    if ($dir_id['upload'] == 1) {
        $check = ' checked="checked"';
    } else {
        $check = NULL;
    }

    echo "<div class='form-check'>";
    echo "<input type='checkbox'$check name='upload' class='form-check-input' value='1' />";
    echo '<label class="form-check-label"> Выгрузка файлов</label>';
    echo '</div>';

    echo "<div class='mb-3'>";
    echo '<label class="form-label">Расширения через ";":</label>';
    echo "<input type='text' name='ras' class='form-control' value='$dir_id[ras]' />\n";
    echo '</div>';

    echo "<div class='mb-3'>";
    echo '<label class="form-label">Максимальный размер файлов:</label>';
    echo '<div class="input-group mb-3">';

    if ($dir_id['maxfilesize'] < 1024) {
        $size = $dir_id['maxfilesize'];
    } elseif ($dir_id['maxfilesize'] >= 1024 && $dir_id['maxfilesize'] < 1048576) {
        $size = intval($dir_id['maxfilesize'] / 1024);
    } elseif ($dir_id['maxfilesize'] >= 1048576) {
        $size = intval($dir_id['maxfilesize'] / 1048576);
    }

    echo '<input type="text" name="size" class="form-control" size="4" value="' . $size . '" />';

    echo '<select name="mn" class="form-control">';

    if ($dir_id['maxfilesize'] < 1024) {
        $sel = ' selected="selected"';
    } else {
        $sel = NULL;
    }

    echo '<option value="1"' . $sel . '>B</option>';

    if ($dir_id['maxfilesize'] >= 1024 && $dir_id['maxfilesize'] < 1048576) {
        $sel = ' selected="selected"';
    } else {
        $sel = NULL;
    }

    echo '<option value="1024"' . $sel . '>KB</option>';

    if ($dir_id['maxfilesize'] >= 1048576) {
        $sel = ' selected="selected"';
    } else {
        $sel = NULL;
    }

    echo '<option value="1048576"' . $sel . '>MB</option>';

    echo '</select>';
    echo '</div>';
    echo '* настройки сервера не позволяют выгружать файлы объемом более: ' . size_file($upload_max_filesize) . '<br />';
    echo '</div>';

    echo "<button class='btn btn-success'><i class='mdi mdi-check'></i> Сохранить изменения</button>\n";

    echo '<a href="?" class="btn btn-outline-secondary">Отмена</a>';

    echo '</form>';
}

if (user_access('obmen_dir_create') && isset($_GET['act']) && $_GET['act'] == 'mkdir') {
    echo '<form class="list-group-item" action="?act=mkdir&amp;ok&amp;page=' . $page . '" method="post">';

    echo "<div class='mb-3'>";
    echo '<label class="form-label">Название папки:</label>';
    echo '<input type="text" class="form-control" required name="name" value="" />';
    echo '</div>';

    echo "<div class='form-check'>";
    echo '<input type="checkbox" name="upload" class="form-check-input" value="1" />';
    echo '<label class="form-check-label"> Выгрузка файлов</label>';
    echo '</div>';

    echo "<div class='mb-3'>";
    echo '<label class="form-label">Расширения через ";":</label>';

    echo '<input type="text" name="ras" class="form-control" value="" />';
    echo '</div>';

    echo "<div class='mb-3'>";
    echo '<label class="form-label">Максимальный размер файлов:</label>';
    echo '<div class="input-group mb-3">';

    echo '<input type="text" name="size" class="form-control" size="4" value="500" />';

    echo '<select name="mn" class="form-control">';
    echo '<option value="1">B</option>';
    echo '<option value="1024" selected="selected">KB</option>';
    echo '<option value="1048576">MB</option>';
    echo '</select>';
    echo '</div>';
    echo '* настройки сервера не позволяют выгружать файлы объемом более: ' . size_file($upload_max_filesize) . '<br />';
    echo '</div>';

    echo "<button class='btn btn-success'><i class='mdi mdi-check icon'></i> Создать папку</button>\n";
    echo '<a href="?" class="btn btn-outline-secondary">Отмена</a>';

    echo '</form>';
}

if (user_access('obmen_dir_edit') && isset($_GET['act']) && $_GET['act'] == 'rename' && $l != '/') {
    echo '<form class="list-group-item" action="?act=rename&amp;ok&amp;page=' . $page . '" method="post">';
    echo "<div class='mb-3'>";
    echo '<label class="form-label">Название папки:</label>';
    echo '<input type="text" class="form-control" required name="name" value="' . $dir_id['name'] . '"/>';
    echo '</div>';

    echo "<button class='btn btn-success'><i class='mdi mdi-check icon'></i> Переименовать</button>\n";
    echo '<a href="?" class="btn btn-outline-secondary">Отмена</a>';
    echo '</form>';
}

if (user_access('obmen_dir_edit') && isset($_GET['act']) && $_GET['act'] == 'mesto' && $l != '/') {
    echo '<form class="list-group-item" action="?act=mesto&amp;ok&amp;page=' . $page . '" method="post">';
    echo 'Новый путь:<br />';
    echo '<select class="form-control" name="dir_osn">';
    echo '<option value="/">[в корень]</option>';

    $q = dbquery("SELECT DISTINCT `dir` FROM `obmennik_dir` WHERE `dir` not like '$l%' ORDER BY 'dir' ASC");

    while ($post = dbassoc($q)) {
        echo '<option value="' . $post['dir'] . '">' . $post['dir'] . '</option>';
    }

    echo '</select><br />';

    echo "<button class='btn btn-success'><i class='mdi mdi-check icon'></i> Переместить</button>\n";
    echo '<a href="?" class="btn btn-outline-secondary">Отмена</a>';

    echo '</form>';
}

if (user_access('obmen_dir_delete') && isset($_GET['act']) && $_GET['act'] == 'delete' && $l != '/') {
    echo '<div class="list-group-item">';
    echo 'Удалить текущую папку (' . $dir_id['name'] . ')?<br />';
    echo '<a href="?act=delete&amp;ok&amp;page=' . $page . '" class="btn btn-success">Да</a> ';
    echo '<a href="?page=' . $page . '" class="btn btn-outline-secondary">Нет</a>';
    echo '</div>';
}

if (user_access('obmen_dir_edit') || user_access('obmen_dir_delete') || user_access('obmen_dir_create')) {
    echo '<div class="list-group-item list-group-item-light">';

    if (user_access('obmen_dir_create')) {
        echo '<a href="?act=mkdir&amp;page=' . $page . '"><i class="mdi mdi-folder-plus-outline"></i> Создать папку</a><br />';
    }

    if ($l != '/') {
        if (user_access('obmen_dir_edit')) {
            echo '<a href="?act=rename&amp;page=' . $page . '"><i class="mdi mdi-folder-edit-outline"></i> Переименовать папку</a><br />';
            echo '<a href="?act=set&amp;page=' . $page . '"><i class="mdi mdi-folder-wrench-outline"></i> Параметры папки</a><br />';
            echo '<a href="?act=mesto&amp;page=' . $page . '"><i class="mdi mdi-folder-marker-outline"></i> Переместить папку</a><br />';
        }

        if (user_access('obmen_dir_delete') && $dir_id['my'] == 0) {
            echo '<a href="?act=delete&amp;page=' . $page . '"><i class="mdi mdi-folder-remove-outline"></i> Удалить папку</a><br />';
        }
    }

    echo '</div>';
}
?>