<?php

include_once '../../../sys/inc/start.php';
include_once '../../../sys/inc/compress.php';
include_once '../../../sys/inc/sess.php';
include_once '../../../sys/inc/home.php';
include_once '../../../sys/inc/settings.php';
include_once '../../../sys/inc/db_connect.php';
include_once '../../../sys/inc/ipua.php';
include_once '../../../sys/inc/fnc.php';
include_once '../../../sys/inc/user.php';

if (user_access('adm_panel_show')) {
    $set['title'] = 'Админ Чат'; // заголовок страницы

    include_once '../../../sys/inc/thead.php';

    title();

    /* Помечаем уведомление прочитанным */

    dbquery("UPDATE `notification` SET `read` = '1' WHERE `type` = 'adm_komm' AND `id_user` = '$user[id]'");

    include 'inc/admin_act.php';

    if (isset($_POST['msg']) && isset($user)) {
        $msg = $_POST['msg'];
        $mat = antimat($msg);

        if ($mat) {
            $err[] = 'В тексте сообщения обнаружен мат: ' . $mat;
        }

        if (strlen2($msg) > 1024) {
            $err[] = 'Сообщение слишком длинное';
        } elseif (strlen2($msg) < 2) {
            $err[] = 'Короткое сообщение';
        } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `adm_chat` WHERE `id_user` = '$user[id]' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
            $err = 'Ваше сообщение повторяет предыдущее';
        } elseif (!isset($err)) {
            /* Уведомления об ответах */

            if (isset($user) && $respons == TRUE) {
                $notifiacation = dbassoc(dbquery("SELECT * FROM `notification_set` WHERE `id_user` = '" . $ank_otv['id'] . "' LIMIT 1"));

                if ($notifiacation['komm'] == 1 && $ank_otv['id'] != $user['id']) {
                    dbquery("INSERT INTO `notification` (`avtor`, `id_user`, `type`, `time`) VALUES ('$user[id]', '$ank_otv[id]', 'adm_komm', '$time')");
                }
            }

            dbquery("INSERT INTO `adm_chat` (id_user, time, msg) values('$user[id]', '$time', '" . my_esc($msg) . "')");
            dbquery("UPDATE `user` SET `balls` = '" . ($user['balls'] + 1) . "' WHERE `id` = '$user[id]' LIMIT 1");

            $_SESSION['message'] = 'Сообщение успешно добавлено';

            header("Location: ?");
            exit;
        }
    }

    err();
    aut(); // форма авторизации

    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `adm_chat`"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    echo "<div class='list-group'>\n";

    if ($k_post == 0) {
        echo "<div class='list-group-item'>\n";
        echo "Нет сообщений\n";
        echo "</div>\n";
    }

    $q = dbquery("SELECT * FROM `adm_chat` ORDER BY id DESC LIMIT $start, $set[p_str]");

    while ($post = dbassoc($q)) {

        echo "<div class='list-group-item'>\n";

        $ank = get_user($post['id_user']);

        avatar($ank['id']);

        echo " " . group($ank['id']) . " <a href='/info.php?id=$ank[id]'>$ank[nick]</a>\n";
        echo " " . medal($ank['id']) . " " . online($ank['id']) . "<br />";

        echo output_text($post['msg']) . "<br />\n";

        echo '<small style="color:grey">' . vremja($post['time']);
        if (isset($user) && ($user['id'] != $ank['id'])) {
            echo " &ensp; <a href='?response=$ank[id]'>Ответить</a> ";
        }
        if (isset($user) && user_access('guest_delete')) {
            echo " &ensp; <a href='delete.php?id=$post[id]'>Удалить</a>";
        }
        echo '</small>';

        echo "</div>\n";
    }


    if ($k_page > 1) {
        str('?', $k_page, $page);
    } // Вывод страниц

    if (isset($user) || (isset($set['write_guest']) && $set['write_guest'] == 1 && (!isset($_SESSION['antiflood']) || $_SESSION['antiflood'] < $time - 300))) {
        echo "<form class='list-group-item' method=\"post\" name='message' action=\"?$go_otv\">\n";

        echo "$tPanel<textarea name=\"msg\" required class='form-control'>$otvet</textarea><br />\n";

        echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Опубликовать</button>\n";
        echo "</form>\n";
    }

    echo "<div class='list-group-item'>\n";
    echo "<a href='who.php'><i class='mdi mdi-account-box-outline'></i> Сейчас в чате</a>\n";
    echo "</div>\n";

    include 'inc/admin_form.php';

    echo "<div class='list-group-item'>\n";
    echo "<a href='/plugins/admin/'><i class='mdi mdi-arrow-left'></i> Админ раздел</a><br />\n";
    echo "</div>\n";
    echo "</div>\n";
}

include_once '../../../sys/inc/tfoot.php';
?>




