<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

/* Бан пользователя */
if (isset($user) && dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'notes' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

$set['title'] = 'Блоги';

include_once THEAD;

title();
aut(); // форма авторизации

echo "<div class='list-group'>\n";

/* Поле поиска */
echo "<form method=\"post\" class='list-group-item' action=\"search.php?go\">";
echo "<div class='input-group mb-3'>";
echo "<input type=\"text\" name=\"usearch\" required class='form-control' maxlength=\"16\" />\n";
echo "<button type='submit' class='btn btn-secondary'><i class='mdi mdi-magnify'></i> Поиск</button>";
echo "</div>\n";
echo "</form>\n";

/* Панель навигации */
echo "<div class=\"list-group-item\">\n";
echo "<div id='comments' class='nav nav-tabs' style='margin-bottom:-9px'>";

echo "<div class='nav-item'>";
echo "<a href='index.php' class='nav-link active'>Блоги</a>";
echo "</div>";

echo "<div class='nav-item'>";
echo "<a href='dir.php' class='nav-link'>Категории</a>";
echo "</div>";

if (isset($user)) {
    echo "<div class='nav-item'>";
    echo "<a href='user.php?id=" . $user['id'] . "' class='nav-link'>Мои</a>";
    echo "</div>";
}
echo "</div>";
echo "</div>";

/* * ** Сортировка**** */
$sortir = isset($_GET['sort']) ? $_GET['sort'] : NULL;
switch ($sortir) {
    case 't':
        $order = 'order by `time` desc';
        echo "<div class='list-group-item'><b class='badge bg-secondary'>Новые</b> &ensp; <a href='?sort=c' class='badge text-bg-light'>Популярные</a></div>\n";
        break;
    case 'c':
        $order = 'order by `count` desc';
        echo "<div class='list-group-item'><a href='?sort=t' class='badge text-bg-light'>Новые</a> &ensp; <b class='badge bg-secondary'>Популярные</b></div>\n";
        /* Сортировка популярных дневников по времени */
        echo "<div class='list-group-item'>";
        if (isset($_GET['new']) && $_GET['new'] == 't') {
            echo "<b class='badge bg-secondary'>Новые</b> &ensp; <a href='?sort=c&new=m' class='badge text-bg-light'>За месяц</a> &ensp; <a href='?sort=c&new=v' class='badge text-bg-light'>За всё время</a>\n";
            $new = " AND `time`>'" . (time() - 600) . "' ";
        } elseif (isset($_GET['new']) && $_GET['new'] == 'm') {
            echo "<a href='?sort=c&new=t' class='badge text-bg-light'>Новые</a> &ensp; <b class='badge bg-secondary'>За месяц</b> &ensp; <a href='?sort=c&new=v' class='badge text-bg-light'>За всё время</a>\n";
            $new = " AND `time`>'" . (time() - 2592000) . "' ";
        } elseif (isset($_GET['new']) && $_GET['new'] == 'v') {
            echo "<a href='?sort=c&new=t' class='badge text-bg-light'>Новые</a> &ensp; <a href='?sort=c&new=m' class='badge text-bg-light'>За месяц</a> &ensp; <b class='badge bg-secondary'>За всё время</b>\n";
            $new = null;
        } elseif (isset($_GET['sort']) && $_GET['sort'] == 'c') {
            echo "<b class='badge bg-secondary'>Новые</b> &ensp; <a href='?sort=c&new=m' class='badge text-bg-light'>За месяц</a> &ensp; <a href='?sort=c&new=v' class='badge text-bg-light'>За всё время</a>\n";
            $new = " AND `time`>'" . (time() - 600) . "' ";
        } else {
            $new = null;
        }
        echo "</div>";
        /* Сортировка популярных дневников по времени */
        break;
    default:
        $order = 'order by `time` desc';
        echo "<div class='list-group-item'><b class='badge bg-secondary'>Новые</b> &ensp; <a href='?sort=c' class='badge text-bg-light'>Популярные</a></div>";
}

if (!isset($_GET['sort']) OR $_GET['sort'] != 'c') {
    $new = null;
}
$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `notes` WHERE `private`='0'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

$q = dbquery("SELECT * FROM `notes` $order LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo "<div class='list-group-item'>\n";
    echo "Нет записей\n";
    echo "  </div>\n";
}

while ($post = dbassoc($q)) {

    echo "<div class='list-group-item'>\n";

    echo '<span style="float:right;color:#666;">' . vremja($post['time']) . '</span>';
    $k_n = dbresult(dbquery("SELECT COUNT(*) FROM `notes` WHERE `id` = $post[id] AND `time` > '" . $ftime . "'", $db), 0);
    if ($k_n != 0) {
        $new = " <i class='mdi mdi-new-box' style='color:orange'></i>";
    } else {
        $new = null;
    }
    echo "<a href='/plugins/notes/list.php?id=" . $post['id'] . "'><h4>" . text($post['name']) . " $new</h4></a>";
    echo rez_text(output_text($post['msg']), 80) . " <br/>\n";
    notes_sh($post['id']);
    echo "<span class='badge rounded-pill text-bg-light'><i class='mdi mdi-account'></i> " . user::nick($post['id_user'], 1, 1, 1) . "</span> &nbsp; ";
    echo "<span class='badge rounded-pill text-bg-light'><i class='mdi mdi-comment-outline'></i> " . dbresult(dbquery("SELECT COUNT(`id`)FROM `notes_komm` WHERE `id_notes`='$post[id]'"), 0) . "</span> &nbsp; ";
    echo "<span class='badge rounded-pill text-bg-light'><a href='fav.php?id=" . $post['id'] . "'><i class='mdi mdi-star-outline'></i> " . dbresult(dbquery("SELECT COUNT(`id`)FROM `bookmarks` WHERE `id_object`='" . $post['id'] . "' AND `type`='notes'"), 0) . "</a></span> &nbsp; ";
    echo "<span class='badge rounded-pill text-bg-light'><i class='mdi mdi-share-outline'></i> " . dbresult(dbquery("SELECT COUNT(`id`)FROM `notes` WHERE `share_id`='" . $post['id'] . "' AND `share_type`='notes'"), 0) . "</span>";
    echo "</div>\n";
}

if (isset($_GET['sort'])) {
    $dop = "sort=" . my_esc($_GET['sort']) . "&amp;";
} else {
    $dop = '';
}
if ($k_page > 1) {
    str('?' . $dop . '', $k_page, $page);
} // Вывод страниц

if (isset($user)) {
    echo "<div class='list-group-item'>";
    echo "<div class='d-grid'>";
    echo "<a href='add.php' class='btn btn-primary'> Создать запись</a>";
    echo "</div>\n";
    echo "</div>\n";
}

echo "</div>\n";

include_once TFOOT;
?>