<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

only_reg();

$set['title'] = 'Отображение и вид';

include_once THEAD;

title();

if (isset($_POST['save'])) {

    if (isset($_POST['show_url']) && ($_POST['show_url'] == 1 || $_POST['show_url'] == 0)) {
        $user['show_url'] = intval($_POST['show_url']);
        dbquery("UPDATE `user` SET `show_url` = '$user[show_url]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = 'Ошибка режима местоположения';
    }

    if (isset($_POST['abuld']) && ($_POST['abuld'] == 1 || $_POST['abuld'] == 0)) {
        $user['abuld'] = intval($_POST['abuld']);
        dbquery("UPDATE `user` SET `abuld` = '$user[abuld]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = 'Ошибка эротического материала';
    }

    if (isset($_POST['set_files']) && ($_POST['set_files'] == 1 || $_POST['set_files'] == 0)) {
        $user['set_files'] = intval($_POST['set_files']);
        dbquery("UPDATE `user` SET `set_files` = '$user[set_files]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = 'Ошибка режима файлов';
    }

    if (isset($_POST['set_them']) && preg_match('#^([A-z0-9\-_\(\)]+)$#ui', $_POST['set_them']) && is_dir(H . 'style/themes/' . $_POST['set_them'])) {
        $user['set_them'] = $_POST['set_them'];
        dbquery("UPDATE `user` SET `set_them` = '$user[set_them]' WHERE `id` = '$user[id]' LIMIT 1");
    } elseif (isset($_POST['set_them2']) && preg_match('#^([A-z0-9\-_\(\)]+)$#ui', $_POST['set_them2']) && is_dir(H . 'style/themes/' . $_POST['set_them2'])) {
        $user['set_them2'] = $_POST['set_them2'];
        dbquery("UPDATE `user` SET `set_them2` = '$user[set_them2]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = 'Ошибка применения темы';
    }

    if (isset($_POST['set_p_str']) && is_numeric($_POST['set_p_str']) && $_POST['set_p_str'] > 0 && $_POST['set_p_str'] <= 100) {
        $user['set_p_str'] = intval($_POST['set_p_str']);
        $set['p_str'] = $user['set_p_str'];
        dbquery("UPDATE `user` SET `set_p_str` = '$user[set_p_str]' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err = 'Неправильное количество пунктов на страницу';
    }

    if (!isset($err)) {
        $_SESSION['message'] = 'Изменения сохранены';
        header("Location: ?");
        exit;
    }
}
err();
aut();

echo '<div class="list-group">';
echo "<form method='post' class='list-group-item' action='?$passgen'>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Пунктов на страницу:</label>";
echo "<input type='text' class='form-control' name='set_p_str' value='$set[p_str]' maxlength='3' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Отображать форму выгрузки файлов:</label>";
echo "<select name='set_files' class='form-control'>\n";
echo "<option value='1'" . ($user['set_files'] == 1 ? " selected='selected'" : null) . ">Показывать поле</option>\n";
echo "<option value='0'" . ($user['set_files'] == 0 ? " selected='selected'" : null) . ">Не использовать выгрузку</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Тема оформления (" . ($webbrowser ? 'WEB' : 'WAP') . "):</label>";
echo "<select class='form-control' name='set_them" . ($webbrowser ? '2' : null) . "'>\n";
$opendirthem = opendir(H . 'style/themes');
while ($themes = readdir($opendirthem)) {
// пропускаем корневые папки и файлы
    if ($themes == '.' || $themes == '..' || !is_dir(H . "style/themes/$themes"))
        continue;
// пропускаем темы для определенных браузеров
    if (file_exists(H . "style/themes/$themes/.only_for_" . ($webbrowser ? 'wap' : 'web')))
        continue;

    echo "<option value='$themes'" . ($user['set_them' . ($webbrowser ? '2' : null)] == $themes ? " selected='selected'" : null) . ">" . trim(file_get_contents(H . 'style/themes/' . $themes . '/them.name')) . "</option>\n";
}
closedir($opendirthem);
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Ваше местоположение:</label>";
echo "<select class='form-control' name='show_url'>\n";
echo "<option value='1'" . ($user['show_url'] == 1 ? " selected='selected'" : null) . ">Показывать</option>\n";
echo "<option value='0'" . ($user['show_url'] == 0 ? " selected='selected'" : null) . ">Скрывать</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Эротический материал:</label>";
echo "<select class='form-control' name='abuld'>\n";
echo "<option value='0'" . ($user['abuld'] == 0 ? " selected='selected'" : null) . ">Показывать</option>\n";
echo "<option value='1'" . ($user['abuld'] == 1 ? " selected='selected'" : null) . ">Скрывать</option>\n";
echo "</select>\n";
echo "</div>\n";

echo "<button type='submit' class='btn btn-success' name='save'><i class='mdi mdi-content-save-outline'></i> Сохранить</button>";
echo "</form>\n";

echo "<div class=\"list-group-item\">\n";
echo "<a href='/info.php?id=$user[id]'><i class='mdi mdi-arrow-left'></i> $user[nick]</a> | <a href='/user/settings/'>Настройки</a> | <b>Отображение и вид</b>";
echo "</div>\n";
echo "</div>\n";
include_once TFOOT;
?>