<?php
include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

$set['title'] = 'Пользователи'; // заголовок страницы

include_once THEAD;

title();
aut();

$sort = 'id';
$por = 'DESC';

if (isset($_GET['ASC'])) {
    $por = 'ASC';
} // прямой порядок

if (isset($_GET['DESC'])) {
    $por = 'DESC';
} // обратный порядок

$act_balls = 'light';
$act_rating = 'light';
$act_pol = 'light';
$act_id = 'light';
$act_new = 'light';

switch (@$_GET['sort']) {
    case 'balls':
        $sql_sort = '`user`.`balls`';
        $sort = 'balls'; #рубли
        $act_balls = 'secondary';
        break;
    case 'rating':
        $sql_sort = '`user`.`rating`';
        $sort = 'rating'; #рейтинг
        $act_rating = 'secondary';
        break;
    case 'pol':
        $sql_sort = '`user`.`pol`';
        $sort = 'pol'; #пол
        $act_pol = 'secondary';
        break;
    case 'new':
        $sql_sort = '`user`.`id`';
        $sort = 'id'; #пол
        $act_new = 'secondary';
        break;
    default:
        $sql_sort = '`user`.`id`';
        $sort = 'id'; #ID
        $act_id = 'secondary';
        break;
}

echo "<div class='list-group'>";
echo "<div class=\"list-group-item\">\n";
echo "<div id='comments' class='nav nav-tabs' style='margin-bottom:-9px'>";
echo "<div class='nav-item'>";
echo "<a href='/user/users/' class='nav-link active'>Пользователи</a>";
echo "</div>";

echo "<div class='nav-item'>";
echo "<a href='/user/users/online.php' class='nav-link'>Онлайн</a>";
echo "</div>";

echo "<div class='nav-item'>";
echo "<a href='/user/users/guest.php' class='nav-link'>Гости</a>";
echo "</div>";

echo "</div>";
echo "</div>";

if (!isset($_GET['go'])) {
    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `user`"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    echo "<div class='list-group-item'>";
    echo "<a class='badge text-bg-$act_id' href='?sort=id&amp;ASC&amp;page=$page'>ID</a> ";
    echo "<a class='badge text-bg-$act_balls' href='?sort=balls&amp;DESC&amp;page=$page'>" . __('Баллы') . "</a> ";
    echo "<a class='badge text-bg-$act_rating' href='?sort=rating&amp;DESC&amp;page=$page'>" . __('Рейтинг') . "</a> ";
    echo "<a class='badge text-bg-$act_pol' href='?sort=pol&amp;DESC&amp;page=$page'>" . __('Пол') . "</a> ";
    echo "<a class='badge text-bg-$act_new' href='?sort=new&amp;DESC&amp;page=$page'>" . __('Новые') . "</a> ";
    echo "</div>";

    if ($k_post == 0) {
        echo '<div class="list-group-item">';
        echo "<i class='mdi mdi-layers-outline'></i> Нет результатов";
        echo '</div>';
    }

    $q = dbquery("SELECT `user`.`id` FROM `user` LEFT JOIN `user_group` ON `user`.`group_access` = `user_group`.`id` ORDER BY $sql_sort $por LIMIT $start, $set[p_str]");

    while ($ank = dbassoc($q)) {

        $ank = get_user($ank['id']);

        echo "<table class='list-group-item'>";
        echo "<td style='width:15%;vertical-align:top;'>";
        echo avatar($ank['id']);
        echo "</td><td style='vertical-align:top;'>";
        echo group($ank['id']) . " ";
        echo user::nick($ank['id'], 1, 1, 1) . "<br />";
        if ($sort == 'rating') {
            echo "Рейтинг: $ank[rating]<br />\n";
        }

        if ($sort == 'balls') {
            echo "Баллы: $ank[balls]<br />\n";
        }

        if ($sort == 'pol') {
            echo "Пол: " . (($ank['pol'] == 1) ? __('Мужской') : __('Женский')) . "<br />\n";
        }

        if ($sort == 'id') {
            echo "ID: " . $ank['id'] . "\n";
        }
        echo "<small style='float:right'>" . (($ank['pol'] == 1) ? 'Был' : 'Была') . " " . vremja($ank['date_last']) . "</small>\n";
        echo "</td>";
        echo "</table>";
    }

    if ($k_page > 1) {
        str("index.php?sort=$sort&amp;$por&amp;", $k_page, $page);
    } // Вывод страниц
}

$usearch = NULL;

if (isset($_SESSION['usearch'])) {
    $usearch = $_SESSION['usearch'];
}

if (isset($_POST['usearch'])) {
    $usearch = $_POST['usearch'];
}

if ($usearch == NULL) {
    unset($_SESSION['usearch']);
} else {
    $_SESSION['usearch'] = $usearch;
}

$usearch = preg_replace("#( ){1,}#", "", $usearch);

if (isset($_GET['go']) && $usearch != NULL) {
    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `user` WHERE `nick` like '%" . mysql_real_escape_string($usearch) . "%' OR `id` = '" . intval($usearch) . "'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    echo "<div class='list-group-item'>";
    echo "<a class='badge text-bg-$act_id' href='?sort=id&amp;ASC&amp;page=$page'>ID</a>";
    echo "<a class='badge text-bg-$act_balls' href='?sort=balls&amp;DESC&amp;page=$page'>Баллы</a>";
    echo "<a class='badge text-bg-$act_rating' href='?sort=rating&amp;DESC&amp;page=$page'>Рейтинг</a>";
    echo "<a class='badge text-bg-$act_pol' href='?sort=pol&amp;DESC&amp;page=$page'>Пол</a>";
    echo "<a class='badge text-bg-$act_new' href='?sort=new&amp;DESC&amp;page=$page'>Новые</a>";
    echo "</div>";

    if ($k_post == 0) {
        echo '<div class="list-group-item">';
        echo "<i class='mdi mdi-layers-outline'></i> Нет результатов";
        echo '</div>';
    }

    $q = dbquery("SELECT `id` FROM `user` WHERE `nick` like '%" . mysql_real_escape_string($usearch) . "%' OR `id` = '" . intval($usearch) . "' ORDER BY `$sort` $por LIMIT $start, $set[p_str]");

    while ($ank = dbassoc($q)) {
        $ank = get_user($ank['id']);

        echo '<div class="list-group-item">';

        echo "<table>";
        echo "<td style='width:15%;vertical-align:top;'>";
        echo avatar($ank['id']);
        echo "</td><td style='vertical-align:top;'>";
        echo "<small style='float:right'>" . (($ank['pol'] == 1) ? __('Был') : __('Была')) . " " . vremja($ank['date_last']) . "</small>\n";
        echo group($ank['id']) . " ";
        echo user::nick($ank['id'], 1, 1, 1);
        echo "" . medal($ank['id']) . " " . online($ank['id']) . "<br />";
        if ($sort == 'rating') {
            echo "Рейтинг: $ank[rating]<br />\n";
        }

        if ($sort == 'balls') {
            echo "Баллы: $ank[balls]<br />\n";
        }

        if ($sort == 'pol') {
            echo "Пол: " . (($ank['pol'] == 1) ? __('Мужской') : __('Женский')) . "<br />\n";
        }

        if ($sort == 'id') {
            echo "Регистрация: " . vremja($ank['date_reg']) . "<br />\n";
        }
        echo "</td>";
        echo "</table>";

        echo '</div>';
    }

    if ($k_page > 1) {
        str("index.php?go&amp;sort=$sort&amp;$por&amp;", $k_page, $page);
    } // Вывод страниц
} else {
    echo "<div class=\"list-group-item list-group-item-secondary\"><i class='mdi mdi-account-search-outline'></i> Поиск пользователя</div>\n";
    echo "<form method=\"post\" class='list-group-item' action=\"?go&amp;sort=$sort&amp;$por\">";

    $usearch = stripcslashes(htmlspecialchars($usearch));
    ?>
    <div class="input-group mb-3">
        <input type="text" class="form-control" name="usearch" value="<?= $usearch ?>" required placeholder="Введите id или логин пользователя">
        <button class="btn btn-outline-secondary" type="submit"><i class="mdi mdi-magnify icon"></i></button>
    </div>
    <?php
    echo "</form>\n";
}


echo '<div class="list-group-item">';
echo "<a href='other.php'><i class='mdi mdi-menu'></i> Дополнительно</a>";
echo "</div>\n";
echo "</div>\n"; // list-group

include_once TFOOT;
?>