<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_show_adm', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Администрация'; // заголовок страницы

include_once THEAD;

title();
aut();

$k_post = dbresult(dbquery("SELECT COUNT(`user`.`id`) FROM `user` LEFT JOIN `user_group` ON `user`.`group_access` = `user_group`.`id` WHERE `user_group`.`level` != 0 AND `user_group`.`level` IS NOT NULL"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo '<div class="list-group">';

if ($k_post == 0) {
    echo "<div class='list-group-item'>\n";
    echo "Нет результатов\n";
    echo "</div>\n";
}

$q = dbquery("SELECT `user`.`id` FROM `user` LEFT JOIN `user_group` ON `user`.`group_access` = `user_group`.`id` WHERE `user_group`.`level` != 0 AND `user_group`.`level` IS NOT NULL ORDER BY `user_group`.`level` DESC LIMIT $start, $set[p_str]");

while ($ank = dbassoc($q)) {

    $ank = get_user($ank['id']);

    echo "<div class='list-group-item'>\n";

    echo "<span style='float:right'>$ank[group_name]</span>";
    if (user_access('adm_log_read') && $ank['level'] != 0 && ($ank['id'] == $user['id'] || $ank['level'] < $user['level'])) {
        echo "<a href='adm_log.php?id=$ank[id]'><i class='mdi mdi-account-tie-hat'></i> $ank[nick]</a> " . online($ank['id']) . "<br />\n";
    } else {
        echo "<a href='/info.php?id=$ank[id]'><i class='mdi mdi-account-tie-hat'></i> $ank[nick]</a> " . online($ank['id']) . "<br />\n";
    }
    echo "<small style='float:right;color:grey'>" . (($ank['pol'] == 1) ? $kto = 'Был' : $kto = 'Была') . " " . vremja($ank['date_last']) . "</small>";

    $adm_log_c_all = dbresult(dbquery("SELECT COUNT(*) FROM `admin_log` WHERE `id_user` = '$ank[id]'"), 0);
    $mes = mktime(0, 0, 0, date('m') - 1); // время месяц назад
    $adm_log_c_mes = dbresult(dbquery("SELECT COUNT(*) FROM `admin_log` WHERE `id_user` = '$ank[id]' AND `time` > '$mes'"), 0);

    echo "<span class='badge text-bg-success'>Активность: $adm_log_c_all</span>\n";
    echo "<span class='badge text-bg-warning'>Активность за месяц: $adm_log_c_mes</span>\n";

    if (isset($user) && ($user['level'] > $ank['level'] || $user['level'] == 4)) {
        echo "<a href='/adm_panel/user.php?id=$ank[id]' class='badge text-bg-light'>Редактировать профиль</a><br />\n";
    }

    echo "</div>\n";
}


if ($k_page > 1) {
    str("?", $k_page, $page);
} // Вывод страниц

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />";
    echo "</div>\n";
}
echo "</div>\n";

include_once TFOOT;
?>