<?php

include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
$temp_set = $set;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once ADM_CHECK;
include_once USER;

user_access('adm_set_foto', null, 'index.php?' . SID);

adm_check();

$set['title'] = 'Настройки фотогалереи';

include_once THEAD;

title();

if (isset($_POST['save'])) {
    $temp_set['max_upload_foto_x'] = intval($_POST['max_upload_foto_x']);
    $temp_set['max_upload_foto_y'] = intval($_POST['max_upload_foto_y']);

    if (save_settings($temp_set)) {
        admin_log('Настройки', 'Фотогалерея', 'Изменение настроек фотогалереи');

        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}

err();
aut();

echo "<div class='list-group'>";
echo "<form method=\"post\" class='list-group-item' action=\"?\">\n";
echo "<div class='mb-3'>";
echo "<label class='form-label'>Ширина фото (max):</label>\n";
echo "<input type='text' class='form-control' name='max_upload_foto_x' value='$temp_set[max_upload_foto_x]' />\n";
echo "</div>\n";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Высота фото (max):</label>\n";
echo "<input type='text' class='form-control' name='max_upload_foto_y' value='$temp_set[max_upload_foto_y]' />\n";
echo "</div>\n";

echo "<button type='submit' name='save' class='btn btn-success'><i class='mdi mdi-content-save-outline'></i> Сохранить изменения</button>\n";
echo "</form>\n";

if (user_access('adm_panel_show')) {
    echo "<div class='list-group-item list-group-item-light'>\n";
    echo "<a href='/adm_panel/'><i class='mdi mdi-arrow-left'></i> Панель управления</a><br />\n";
    echo "</div>\n";
}
echo "</div>\n";

include_once TFOOT;
?>