<?php
if (!isset($user) && !isset($_GET['id_user'])) {
    header("Location: /foto/?" . SID);
    exit;
}
if (isset($user)) {
    $ank['id'] = $user['id'];
}
if (isset($_GET['id_user'])) {
    $ank['id'] = intval($_GET['id_user']);
}

// Автор альбома
$ank = get_user($ank['id']);

if (!$ank) {
    header('Location: /foto/?' . SID);
    exit;
}

// Если вы в бане 
if (dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'foto' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

// Альбом
$gallery['id'] = intval($_GET['id_gallery']);

if (dbresult(dbquery("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"), 0) == 0) {
    header('Location: /foto/' . $ank['id'] . '/?' . SID);
    exit;
}

$gallery = dbassoc(dbquery("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));

// заголовок страницы
$set['title'] = user::nick($ank['id'], 0) . ' - ' . text($gallery['name']);

// Редактирование альбома и загрузка фото
include 'inc/gallery_show_act.php';

include_once THEAD;
title();
aut();
err();

echo '<div class="list-group">';
// Формы
include 'inc/gallery_show_form.php';

// Подключаем приватность стр. 
include H . 'sys/add/user.privace.php';

/*
 * Если установлена приватность альбома
 */
if ($gallery['privat'] == 1 && ($frend != 2 || !isset($user)) && $user['level'] <= $ank['level'] && $user['id'] != $ank['id']) {
    echo '<div class="list-group-item">';
    echo 'Просматривать альбом пользователя могут только друзья!';
    echo '</div>';

    $block_foto = true;
} elseif ($gallery['privat'] == 2 && $user['id'] != $ank['id'] && $user['level'] <= $ank['level']) {
    echo '<div class="list-group-item">';
    echo 'Пользователь запретил просмотр этого альбома!';
    echo '</div>';

    $block_foto = true;
}

/* Альбом под паролем */
if ($user['id'] != $ank['id'] && $gallery['pass'] != NULL) {
    if (isset($_POST['password'])) {
        $_SESSION['pass'] = my_esc($_POST['password']);

        if ($_SESSION['pass'] != $gallery['pass']) {
            $_SESSION['message'] = 'Неверный пароль';
            $_SESSION['pass'] = NULL;
        }
        header("Location: ?");
    }

    if (!isset($_SESSION['pass']) || $_SESSION['pass'] != $gallery['pass']) {
        echo '<form action="?" class="list-group-item" method="POST">Пароль:<br />';
        echo '<input type="pass" class="form-control" required name="password" value="" /><br />';
        echo "<button type='submit' class='btn btn-success'>Войти</button>";
        echo '</form>';

        echo '<div class="list-group-item">';
        echo '<i class="mdi mdi-arrow-left"></i> ' . user::nick($ank['id']) . ' | <a href="/foto/' . $ank['id'] . '/">Альбомы</a> | <b>' . text($gallery['name']) . '</b>';
        echo '</div>';

        include_once TFOOT;
        exit;
    }
}


if (!isset($block_foto)) {
    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    if ($k_post == 0) {
        echo '<div class="list-group-item">';
        echo 'Фотографий нет';
        echo '</div>';
    } else {

        $q = dbquery("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");

        echo '<div class="list-group-item">';
        echo '<div class="row row-cols-1 row-cols-md-3 g-4">';
        while ($post = dbassoc($q)) {
            echo '<a href="/foto/' . $ank['id'] . '/' . $gallery['id'] . '/' . $post['id'] . '/">';
            ?>
            <div class="col">
                <div class="card">
                    <img src="/foto/foto/<?= $post['id'] . $post['ras'] ?>" class="card-img-top" <?= $post['metka'] == 1 ? 'style="filter: blur(10px)"' : null ?>   alt="..." />
                    <div class="card-body">
                        <?php
                        echo '<h5 class="card-title">' . text($post['name']) . '';
                        if ($post['metka'] == 1) {
                            echo "<span class='badge text-bg-danger' style='float:right'>18+</font>";
                        }
                        echo "</h5>";
                        if ($post['opis'] != null) {
                            echo '<p class="card-text">' . output_text($post['opis']) . '</p>';
                        }
                        ?>
                    </div>
                </div>
            </div>
            <?php
            echo "</a>";
        }

        echo '</div>';
        echo '</div>';
    }

    // Вывод страниц
    if ($k_page > 1) {
        str('?', $k_page, $page);
    }
}
if (isset($user) && (user_access('foto_alb_del') || $ank['id'] == $user['id'])) {
    echo '<div class="list-group-item">';
    echo "<div class='d-grid'>";
    echo '<a href="?act=upload" class="btn btn-primary"><i class="mdi mdi-camera"></i> Загрузить фотографию</a>';
    echo '</div>';

    echo '<h5><a href="/foto/' . $ank['id'] . '/' . $gallery['id'] . '/?edit=rename" class="badge text-bg-light"><i class="mdi mdi-cog-outline"></i> Редактировать альбом</a></h5>';
    echo '<h5><a href="/foto/' . $ank['id'] . '/' . $gallery['id'] . '/?act=delete" class="badge text-bg-light"><i class="mdi mdi-delete-outline"></i> Удалить альбом</a></h5>';
    echo '</div>';
}
echo '<div class="list-group-item">';
echo '<i class="mdi mdi-arrow-left"></i> ' . user::nick($ank['id']) . ' | <a href="/foto/' . $ank['id'] . '/">Альбомы</a> | <b>' . text($gallery['name']) . '</b>';
echo '</div>';

include_once TFOOT;
exit;
?>