<?php
include_once '../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once USER;

/* Бан пользователя */
if (isset($user) && dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'guest' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

// Очищаем уведомления об ответах
if (isset($user)) {
    dbquery("UPDATE `notification` SET `read` = '1' WHERE `type` = 'guest' AND `id_user` = '$user[id]'");
}

// Действия с комментариями
include 'inc/admin_act.php';

// Отправка комментариев
if (isset($_POST['msg']) && isset($user)) {
    $msg = $_POST['msg'];
    $mat = antimat($msg);

    if ($mat) {
        $err[] = 'В тексте сообщения обнаружен мат: ' . $mat;
    }

    if (strlen2($msg) > 1024) {
        $err[] = 'Сообщение слишком длинное';
    } elseif (strlen2($msg) < 2) {
        $err[] = 'Короткое сообщение';
    } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$user[id]' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
        $err = 'Ваше сообщение повторяет предыдущее';
    } elseif (!isset($err)) {
        // Начисление баллов за активность
        include_once H . 'sys/add/user.active.php';

        /* Уведомления об ответах */

        if (isset($ank_reply['id'])) {
            $notifiacation = dbassoc(dbquery("SELECT * FROM `notification_set` WHERE `id_user` = '" . $ank_reply['id'] . "' LIMIT 1"));

            if ($notifiacation['komm'] == 1 && $ank_reply['id'] != $user['id']) {
                dbquery("INSERT INTO `notification` (`avtor`, `id_user`, `type`, `time`) VALUES ('$user[id]', '$ank_reply[id]', 'guest', '$time')");
            }
        }

        dbquery("UPDATE `user` SET `guest_mess` = '" . ($user['guest_mess'] + 1) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
        dbquery("INSERT INTO `guest` (id_user, time, msg) values('$user[id]', '$time', '" . my_esc($msg) . "')");
        $_SESSION['message'] = 'Сообщение успешно добавлено';
        header("Location: index.php" . SID);
        exit;
    }
} elseif (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1 && isset($_SESSION['captcha']) && isset($_POST['chislo'])) {

    $msg = $_POST['msg'];
    $mat = antimat($msg);

    if ($mat) {
        $err[] = 'В тексте сообщения обнаружен мат: ' . $mat;
    }

    if (strlen2($msg) > 1024) {
        $err = 'Сообщение слишком длинное';
    } elseif ($_SESSION['captcha'] != $_POST['chislo']) {
        $err = 'Неверное проверочное число';
    } elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood'] > $time - 300) {
        $err = 'Для того чтобы чаще писать нужно авторизоваться';
    } elseif (strlen2($msg) < 2) {
        $err = 'Короткое сообщение';
    } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
        $err = 'Ваше сообщение повторяет предыдущее';
    } elseif (!isset($err)) {
        $_SESSION['antiflood'] = $time;

        dbquery("INSERT INTO `guest` (id_user, time, msg) values('0', '$time', '" . my_esc($msg) . "')");

        $_SESSION['message'] = 'Сообщение успешно добавлено';

        header("Location: index.php" . SID);
        exit;
    }
}

if (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1 && isset($_SESSION['antiflood']) && $_SESSION['antiflood'] > $time - 300) {
    echo '<div class="alert alert-info">';
    echo 'Гостем вы можете писать только по 1 сообщению в 5 минут';
    echo '</div>';
}




if (isset($_GET['delete']) && dbresult(dbquery("SELECT COUNT(*) FROM `guest` WHERE `id` = '" . intval($_GET['delete']) . "'"), 0) == 1) {
    $post = dbassoc(dbquery("SELECT * FROM `guest` WHERE `id` = '" . intval($_GET['delete']) . "' LIMIT 1"));

    if ($post['id_user'] == 0) {
        $ank['id'] = 0;
        $ank['pol'] = 'guest';
        $ank['level'] = 0;
        $ank['nick'] = 'Гость';
    } else {
        $ank = get_user($post['id_user']);
    }
    if (user_access('guest_delete') && $ank['level'] <= $user['level']) {
        msg("Сообщение от $ank[nick] успешно удалено");
        admin_log('Гостевая', 'Удаление сообщения', "Удаление сообщения от $ank[nick]");
        dbquery("DELETE FROM `guest` WHERE `id` = '$post[id]'");
    }
}

// заголовок страницы
$set['title'] = 'Гостевая книга';
include_once THEAD;

title();
aut();
err();

$k_post = dbresult(dbquery("SELECT COUNT(id) FROM `guest`"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo '<div class="list-group">';

echo '<div class="list-group-item">';
echo '<a href="who.php" style="color:grey"><i class="mdi mdi-account-badge-outline"></i> сейчас читают в гостевой ' . dbresult(dbquery("SELECT COUNT(id) FROM `user` WHERE `date_last` > '" . (time() - 100) . "' AND `url` like '/guest/%'"), 0) . ' чел.</a>';
echo '</div>';

// Форма для комментариев
if (isset($user) || (isset($set['write_guest']) && $set['write_guest'] == 1 && (!isset($_SESSION['antiflood']) || $_SESSION['antiflood'] < $time - 300))) {
    if (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1) {
        echo '<form method="post" class="list-group-item" name="message" action="?">';
    } else {
        echo '<form method="post" class="list-group-item" name="message" action="?page=' . $page . REPLY . '">';
    }
    echo $tPanel . '<textarea name="msg" required class="form-control">' . $insert . '</textarea>';

    if (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1) {
        ?>
        <img src="/captcha.php?SESS=<?= $sess ?>" width="100" height="30" alt="Captcha" /> 
        <input name="chislo" class="form-control" size="7" maxlength="5" value="" type="text" placeholder="Введите капчу"/>
        <?php
    }
    if (isset($user)) {
        echo "<small style='color:grey'>Вы опубликовали " . sklon_text($user['guest_mess'], array(__('сообщение'), __('сообщения'), __('сообщений'))) . "</small>";
        echo "<br />";
    } else {
        echo "<br />";
    }
    echo "<button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Опубликовать</button>";
    echo ' <a href="top.php" class="btn btn-secondary"><i class="mdi mdi-account-edit"></i> Самые активные</a>';
    echo '</form>';
} elseif (!isset($user) && isset($set['write_guest']) && $set['write_guest'] == 1) {
    ?>
    <div class="list-group-item">Вы сможете писать через <span class="on"><?= abs($time - $_SESSION['antiflood'] - 300) ?> сек.</span></div>
    <?php
}


if ($k_post == 0) {
    echo '<div class="list-group-item" id="no_object">';
    echo 'Нет сообщений';
    echo '</div>';
}

$q = dbquery("SELECT * FROM `guest` ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = dbassoc($q)) {
    $ank = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

    echo '<div class="list-group-item">';

    echo ($post['id_user'] != '0' ? user::avatar($ank['id'], 0) . user::nick($ank['id'], 1, 1, 1) : user::avatar(0, 0) . ' <b>' . 'Гость' . '</b> ');
    echo "<br />";
    echo output_text($post['msg']) . '<br />';

    echo '<small style="color:grey">' . vremja($post['time']) . '</small>';
    if (isset($user) && $user['id'] != $ank['id']) {
        echo '<small>';
        echo ' &ensp; <a href="?page=' . $page . '&amp;response=' . $ank['id'] . '">Ответить</a> ';
        echo '</small>';
    }
    if (isset($user) && ($user['level'] > $ank['level'] || $user['level'] != 0 && $user['id'] == $ank['id']) && user_access('guest_delete')) {
        echo '<small>';
        echo ' &ensp; <a rel="delete" href="delete.php?id=' . $post['id'] . '">Удалить</a>';
        echo '</small>';
    }
    echo '</div>';
}


if ($k_page > 1) {
    str('index.php?', $k_page, $page);
} // Вывод страниц
// Форма очистки комментов
include 'inc/admin_form.php';
echo '</div>';

include_once TFOOT;
?>