<?php
include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once '../../sys/inc/adm_check.php';
include_once USER;

/* Бан пользователя */
if (isset($user) && dbresult(dbquery("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'notes' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0) != 0) {
    header('Location: /ban.php?' . SID);
    exit;
}

$set['title'] = 'Категории';

include_once THEAD;

title();

if (isset($_POST['title']) && user_access('notes_edit')) {
    $title = my_esc($_POST['title'], 1);
    $msg = my_esc($_POST['msg']);

    if (strlen2($title) > 32) {
        $err = 'Название не может превышать больше 32 символов';
    }
    if (strlen2($title) < 3) {
        $err = 'Короткое название';
    }

    if (strlen2($msg) > 10024) {
        $err = 'Содержание не может превышать больше 10024 символов';
    }
    if (strlen2($msg) < 2) {
        $err = 'Содержание слишком короткое';
    }

    if (!isset($err)) {
        dbquery("INSERT INTO `notes_dir` (`msg`, `name`) values('$msg', '$title')");
        dbquery("OPTIMIZE TABLE `notes_dir`");

        $_SESSION['message'] = 'Категория успешно создана';

        header("Location: dir.php?" . SID);
        exit;
    }
}

err();
aut();

echo "<div class=\"list-group\">\n";
/* Панель навигации */
echo "<div class=\"list-group-item\">\n";
echo "<div id='comments' class='nav nav-tabs' style='margin-bottom:-9px'>";

echo "<div class='nav-item'>";
echo "<a href='index.php' class='nav-link'>Блоги</a>";
echo "</div>";

echo "<div class='nav-item'>";
echo "<a href='dir.php' class='nav-link active'>Категории</a>";
echo "</div>";

if (isset($user)) {
    echo "<div class='nav-item'>";
    echo "<a href='user.php?id=" . $user['id'] . "' class='nav-link'>Мои</a>";
    echo "</div>";
}

echo "</div>";
echo "</div>";

/* Блоги */

if (isset($_GET['id'])) {
    $id_dir = intval($_GET['id']);
    $kount = dbresult(dbquery("SELECT COUNT(*) FROM `notes_dir` WHERE `id` = '$id_dir' "), 0);
}

if (isset($_GET['id']) && $kount == 1) {
    if (isset($_GET['sort']) && $_GET['sort'] == 't') {
        $order = 'order by `time` desc';
    } elseif (isset($_GET['sort']) && $_GET['sort'] == 'c') {
        $order = 'order by `count` desc';
    } else {
        $order = 'order by `time` desc';
    }

    if (isset($user)) {
        echo "<div class='list-group-item'>";
        echo "<div class='d-grid'>";
        echo "<a href='add.php?id_dir=$id_dir' class='btn btn-primary'> Создать запись</a>";
        echo "</div>\n";
        echo "</div>\n";
    }


    if (isset($_GET['sort']) && $_GET['sort'] == 't') {
        echo'<div class="list-group-item">';
        echo"<b class='badge bg-secondary'>Новые</b> <a href='?id=$id_dir&amp;sort=c' class='badge text-bg-light'>Популярные</a>\n";
        echo '</div>';
    } elseif (isset($_GET['sort']) && $_GET['sort'] == 'c') {
        echo'<div class="list-group-item">';
        echo"<a href='?id=$id_dir&amp;sort=t' class='badge text-bg-light'>Новые</a> <b class='badge bg-secondary'>Популярные</b>\n";
        echo '</div>';
    } else {
        echo'<div class="list-group-item">';
        echo"<b class='badge bg-secondary'>Новые</b> <a href='?id=$id_dir&amp;sort=c' class='badge text-bg-light'>Популярные</a>\n";
        echo '</div>';
    }

    $k_post = dbresult(dbquery("SELECT COUNT(*) FROM `notes`  WHERE `id_dir` = '$id_dir'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = dbquery("SELECT * FROM `notes` WHERE `id_dir` = '$id_dir' $order LIMIT $start, $set[p_str]");

    if ($k_post == 0) {
        echo "<div class='list-group-item'>\n";
        echo "Нет записей\n";
        echo "</div>\n";
    }

    while ($post = dbassoc($q)) {
        echo "<div class='list-group-item'>\n";
        echo "<span style='float:right'>" . vremja($post['time']) . "</span>\n";
        echo "<a href='list.php?id=$post[id]&amp;dir=$post[id_dir]'><i class='mdi mdi-book'></i> " . htmlspecialchars($post['name']) . "</a> \n";

        $k_n = dbresult(dbquery("SELECT COUNT(*) FROM `notes` WHERE `id` = $post[id] AND `time` > '" . $ftime . "'", $db), 0);
        if ($k_n != 0) {
            echo " <i class='mdi mdi-new-box' style='color:orange'></i>";
        }

        echo "</div>\n";
    }

    if (isset($_GET['sort'])) {
        $dop = "sort=" . my_esc($_GET['sort']) . "&amp;";
    } else {
        $dop = '';
    }
    if ($k_page > 1) {
        str('?id=' . $id_dir . '&' . $dop . '', $k_page, $page);
    } // Вывод страниц

    include_once TFOOT;
    exit;
}


/* Категории */
$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `notes_dir` "), 0);
$q = dbquery("SELECT * FROM `notes_dir` ORDER BY `id` DESC");

if ($k_post == 0) {
    echo "<div class='list-group-item'>\n";
    echo "Нет категорий\n";
    echo "</div>\n";
}

while ($post = dbassoc($q)) {

    echo "<div class='list-group-item'>\n";

    $k_pp = dbresult(dbquery("SELECT COUNT(*) FROM `notes`  WHERE `id_dir` = '$post[id]'"), 0);
    $k_nn = dbresult(dbquery("SELECT COUNT(*) FROM `notes`  WHERE `id_dir` = '$post[id]' AND `time` > '$ftime'"), 0);

    if ($k_nn > 0) {
        $k_nn = "<font color='red'>+$k_nn</font>";
    } else {
        $k_nn = NULL;
    }

    if (isset($user) && ($user['level'] > 3)) {
        echo "<a href='delete.php?dir=$post[id]' style='float:right'><i class='mdi mdi-delete'></i></a>\n";
    }
    echo "<a href='dir.php?id=$post[id]'><i class='mdi mdi-chevron-right'></i> " . output_text($post['name']) . "</a> ($k_pp) $k_nn\n";

    echo "<br />";
    echo "<small style='color:grey'>" . output_text($post['msg']) . "</small>\n";

    echo "</div>\n";
}

if (isset($user) && user_access('notes_edit')) {
    if (isset($_GET['create'])) {
        ?>
        <form method="post" class='list-group-item' action="dir.php">
            <div class='mb-3'>
                <label class='form-label'>Название:</label>
                <input name="title" size="16" required class='form-control' maxlength="32" value="" type="text" />
            </div>

            <div class='mb-3'>
                <label class='form-label'>Описание:<?= $tPanel ?></label>
                <textarea name="msg" required class='form-control'></textarea>
            </div>

            <button type='submit' class='btn btn-success'><i class='mdi mdi-check'></i> Создать</button>
        </form>
        <?php
    } else {
        echo "<div class='list-group-item'>\n";
        echo "<a href='dir.php?create' class='btn btn-outline-success'><i class='mdi mdi-folder-plus-outline'></i> Добавить категорию</a>\n";
        echo "</div>\n";
    }
}

echo "<div class='list-group-item'>\n";
echo "<a href='index.php'><i class='mdi mdi-arrow-left'></i> Все блоги</a>\n";
echo "</div>\n";
echo "</div>\n";

include_once TFOOT;
?>