<?php

include_once '../../sys/inc/home.php';
include_once START;
include_once COMPRESS;
include_once SESS;
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once SHIF;
include_once USER;
include_once THEAD;

only_reg();
$set['title'] = 'Редактирование анкеты';

title();
aut();

if (isset($_POST['save'])) {
    //чем занимаюсь
    if (isset($_POST['ank_zan']) && strlen2($_POST['ank_zan']) <= 215) {
        if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\!\?\.,]#ui', $_POST['ank_zan'])) {
            $err[] = 'В поле "Чем занимаюсь" используются запрещенные символы';
        } else {
            $user['ank_zan'] = $_POST['ank_zan'];
            dbquery("UPDATE `user` SET `ank_zan` = '" . my_esc($user['ank_zan']) . "' WHERE `id` = '$user[id]' LIMIT 1");
        }
    } else {
        $err[] = 'Слишком большой текст';
    }

    //имя
    if (isset($_POST['ank_name']) && preg_match('#^([ЁёA-zА-я \-]*)$#ui', $_POST['ank_name'])) {
        $user['ank_name'] = $_POST['ank_name'];
        mysql_query("UPDATE `user` SET `ank_name` = '" . my_esc($user['ank_name']) . "' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err[] = 'Неверный формат имени';
    }

    //дата рождения
    if (isset($_POST['ank_d_r']) && (is_numeric($_POST['ank_d_r']) && $_POST['ank_d_r'] > 0 && $_POST['ank_d_r'] <= 31 || $_POST['ank_d_r'] == NULL)) {
        $user['ank_d_r'] = (int) $_POST['ank_d_r'];

        if ($user['ank_d_r'] == null) {
            $user['ank_d_r'] = 'null';
        }
        mysql_query("UPDATE `user` SET `ank_d_r` = $user[ank_d_r] WHERE `id` = '$user[id]' LIMIT 1");
        if ($user['ank_d_r'] == 'null') {
            $user['ank_d_r'] = NULL;
        }
    } else {
        $err[] = 'Неверный формат дня рождения';
    }

    if (isset($_POST['ank_m_r']) && (is_numeric($_POST['ank_m_r']) && $_POST['ank_m_r'] > 0 && $_POST['ank_m_r'] <= 12 || $_POST['ank_m_r'] == NULL)) {
        $user['ank_m_r'] = (int) $_POST['ank_m_r'];
        if ($user['ank_m_r'] == null) {
            $user['ank_m_r'] = 'null';
        }
        mysql_query("UPDATE `user` SET `ank_m_r` = $user[ank_m_r] WHERE `id` = '$user[id]' LIMIT 1");
        if ($user['ank_m_r'] == 'null') {
            $user['ank_m_r'] = NULL;
        }
    } else {
        $err[] = 'Неверный формат месяца рождения';
    }

    if (isset($_POST['ank_g_r']) && (is_numeric($_POST['ank_g_r']) && $_POST['ank_g_r'] > 0 && $_POST['ank_g_r'] <= date('Y') || $_POST['ank_g_r'] == NULL)) {
        $user['ank_g_r'] = (int) $_POST['ank_g_r'];
        if ($user['ank_g_r'] == null) {
            $user['ank_g_r'] = 'null';
        }

        mysql_query("UPDATE `user` SET `ank_g_r` = $user[ank_g_r] WHERE `id` = '$user[id]' LIMIT 1");

        if ($user['ank_g_r'] == 'null') {
            $user['ank_g_r'] = NULL;
        }
    } else {
        $err[] = 'Неверный формат года рождения';
    }

    //город
    if (isset($_POST['ank_city']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_city'])) {
        $user['ank_city'] = $_POST['ank_city'];
        mysql_query("UPDATE `user` SET `ank_city` = '" . my_esc($user['ank_city']) . "' WHERE `id` = '$user[id]' LIMIT 1");
    } else {
        $err[] = 'Неверный формат названия города';
    }

    //о себе
    if (isset($_POST['ank_o_sebe']) && strlen2($_POST['ank_o_sebe']) <= 512) {
        if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\!\?\.,]#ui', $_POST['ank_o_sebe'])) {
            $err[] = 'В поле "О себе" используются запрещенные символы';
        } else {
            $user['ank_o_sebe'] = $_POST['ank_o_sebe'];
            mysql_query("UPDATE `user` SET `ank_o_sebe` = '" . my_esc($user['ank_o_sebe']) . "' WHERE `id` = '$user[id]' LIMIT 1");
        }
    } else {
        $err[] = 'О себе нужно писать меньше :)';
    }

    //пол
    if (isset($_POST['pol']) && $_POST['pol'] == 1) {
        $user['pol'] = 1;
        mysql_query("UPDATE `user` SET `pol` = '1' WHERE `id` = '$user[id]' LIMIT 1");
    }
    if (isset($_POST['pol']) && $_POST['pol'] == 0) {
        $user['pol'] = 0;
        mysql_query("UPDATE `user` SET `pol` = '0' WHERE `id` = '$user[id]' LIMIT 1");
    }

    if (!isset($err)) {
        $_SESSION['message'] = 'Изменения сохранены';

        mysql_query("UPDATE `user` SET `rating_tmp` = '" . ($user['rating_tmp'] + 1) . "' WHERE `id` = '$user[id]' LIMIT 1");

        if (isset($_GET['act']) && $_GET['act'] == 'ank') {
            header("Location: /user/info/anketa.php?" . SID);
        } else {
            header("Location: /user/info/edit.php?" . SID);
        }

        exit;
    }
}
err();

echo "<div class='list-group'>";
echo "<form method='post' class='list-group-item' action=''>";
echo "<div class='mb-3'>";
echo "<label class='form-label'>Имя:</label>";
echo "<input type='text' name='ank_name' class='form-control' value='" . htmlspecialchars($user['ank_name'], false) . "' maxlength='32' />";
echo "</div>";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Пол:</label>";
echo "<div class='form-check'>";
echo "<input name='pol' class='form-check-input' type='radio' " . ($user['pol'] == 1 ? ' checked="checked"' : null) . " value='1' />";
echo "<label class='form-check-label'>Мужской</label>";
echo "</div>";

echo "<div class='form-check'>";
echo "<input name='pol' class='form-check-input' type='radio' " . ($user['pol'] == 0 ? ' checked="checked"' : null) . " value='0' />";
echo "<label class='form-check-label'>Женский</label>";
echo "</div>";
echo "</div>";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Город:</label>";
echo "<input type='text' class='form-control' name='ank_city' value='$user[ank_city]' maxlength='32' />";
echo "</div>";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Дата рождения:</label>";
echo "<div class='input-group mb-3'>";
echo '<select name="ank_d_r" class="form-select">';

for ($i = 1; $i <= 31; $i++) {
    echo "<option " . ($user['ank_d_r'] == "$i" ? "selected" : null) . " value='$i'>$i</option>";
}
echo "</select>";

echo '<select name="ank_m_r" class="form-select">';

echo "<option " . ($user['ank_m_r'] == '1' ? "selected" : null) . " value='1'>января</option>";
echo "<option " . ($user['ank_m_r'] == '2' ? "selected" : null) . " value='2'>февраля</option>";
echo "<option " . ($user['ank_m_r'] == '3' ? "selected" : null) . " value='3'>марта</option>";
echo "<option " . ($user['ank_m_r'] == '4' ? "selected" : null) . " value='4'>апреля</option>";
echo "<option " . ($user['ank_m_r'] == '5' ? "selected" : null) . " value='5'>мая</option>";
echo "<option " . ($user['ank_m_r'] == '6' ? "selected" : null) . " value='6'>июня</option>";
echo "<option " . ($user['ank_m_r'] == '7' ? "selected" : null) . " value='7'>июля</option>";
echo "<option " . ($user['ank_m_r'] == '8' ? "selected" : null) . " value='8'>августа</option>";
echo "<option " . ($user['ank_m_r'] == '9' ? "selected" : null) . " value='9'>сентября</option>";
echo "<option " . ($user['ank_m_r'] == '10' ? "selected" : null) . " value='10'>октября</option>";
echo "<option " . ($user['ank_m_r'] == '11' ? "selected" : null) . " value='11'>ноября</option>";
echo "<option " . ($user['ank_m_r'] == '12' ? "selected" : null) . " value='12'>декабря</option>";

echo "</select>";

echo '<select name="ank_g_r" class="form-select">';
if (!empty($user['ank_g_r'])) {
    echo '<option value=""></option>';
}

for ($i = date("Y") - 7; $i >= 1930; $i--) {
    echo "<option " . ($user['ank_g_r'] == "$i" ? "selected" : null) . " value='$i'>$i</option>";
}
echo '</select><br/>';

echo "</div>";
echo "</div>";

echo "<div class='mb-3'>";
echo "<label class='form-label'>О себе:</label>";
echo "<textarea maxlength='512' class='form-control' name=\"ank_o_sebe\">$user[ank_o_sebe]</textarea>";
echo "</div>";

echo "<div class='mb-3'>";
echo "<label class='form-label'>Чем занимаюсь:</label>";
echo "<input type='text' name='ank_zan' class='form-control' value='$user[ank_zan]' maxlength='215' />";
echo "</div>";

echo '<div class="mb-3">';
echo "<button type='submit' class='btn btn-success' name='save'><i class='mdi mdi-content-save-outline'></i> Сохранить</button>";
echo '</div>';
echo "</form>";

echo "<div class='list-group-item'><a href='anketa.php'><i class='mdi mdi-badge-account-horizontal-outline'></i> Посмотреть анкету</a></div>";
echo '</div>';

include_once TFOOT;
?>