<?php

include_once '../../sys/inc/start.php';
include_once COMPRESS;
include_once SESS;
include_once '../../sys/inc/home.php';
include_once SETTINGS;
include_once DB_CONNECT;
include_once IPUA;
include_once FNC;
include_once '../../sys/inc/adm_check.php';
include_once USER;

only_reg();

$width = ($webbrowser == 'web' ? '100' : '70'); // Размер подарков при выводе в браузер

/* Полная очистка уведомлений */
if (isset($_GET['delete']) && $_GET['delete'] == 'all') {
    if (isset($user)) {
        dbquery("DELETE FROM `notification` WHERE `id_user` = '$user[id]'");
        $_SESSION['message'] = 'Уведомления очищены';
        header("Location: ?");
        exit;
    }
}

if (isset($_GET['del'])) { // удаление уведомления
    if (isset($user)) {
        if (dbresult(dbquery("SELECT COUNT(*) FROM `notification`  WHERE `id_user` = '$user[id]' AND `id` = '" . intval($_GET['del']) . "'"), 0) == 1) {
            dbquery("DELETE FROM `notification` WHERE `id_user` = '$user[id]' AND `id` = '" . intval($_GET['del']) . "' LIMIT 1");
            $_SESSION['message'] = 'Уведомление удалено';
            header("Location: ?komm&" . intval($_GET['page']) . "");
            exit;
        }
    }
}

$set['title'] = 'Уведомления';

include_once THEAD;

title();
err();
aut();

// Уведомления
$k_notif = dbresult(dbquery("SELECT COUNT(`read`) FROM `notification` WHERE `id_user` = '$user[id]' AND `read` = '0'"), 0);

if ($k_notif > 0) {
    $k_notif = '<span class="badge text-bg-danger">' . $k_notif . '</span>';
} else {
    $k_notif = null;
}

// Обсуждения
$discuss = dbresult(dbquery("SELECT COUNT(`count`) FROM `discussions` WHERE `id_user` = '$user[id]' AND `count` > '0' "), 0);

if ($discuss > 0) {
    $discuss = '<span class="badge text-bg-danger">' . $discuss . '</span>';
} else {
    $discuss = null;
}

// Лента
$lenta = dbresult(dbquery("SELECT COUNT(`read`) FROM `tape` WHERE `id_user` = '$user[id]' AND `read` = '0' "), 0);

if ($lenta > 0) {
    $lenta = '<span class="badge text-bg-danger">' . $lenta . '</span>';
} else {
    $lenta = null;
}

echo '<div class="list-group">';

echo "<div class=\"list-group-item\">\n";
echo "<div id='comments' class='nav nav-tabs' style='margin-bottom:-9px'>";

echo "<div class='nav-item'>";
echo "<a href='/user/tape/' class='nav-link'>Лента $lenta</a>";
echo "</div>";

echo "<div class='nav-item'>";
echo "<a href='/user/discussions/' class='nav-link'>Обсуждения $discuss</a>";
echo "</div>";

echo "<div class='nav-item'>";
echo "<a href='/user/notification/' class='nav-link active'>Уведомления $k_notif</a>";
echo "</div>";

echo "</div>";
echo "</div>";

/* Список уведомлений */
$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `notification`  WHERE `id_user` = '$user[id]' "), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = dbquery("SELECT * FROM `notification` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo "<div class='list-group-item'>\n";
    echo "Нет новых уведомлений\n";
    echo "</div>\n";
}

while ($post = dbassoc($q)) {
    echo '<div class="list-group-item">';

    $type = $post['type']; //Тип уведомления
    $avtor = get_user($post['avtor']); //От кого уведомление

    if ($post['read'] == 0) { //Если не прочитано
        $s1 = "<font color='red'>";
        $s2 = "</font>";
    } else {
        $s1 = null;
        $s2 = null;
    }
    /*
      Значение переменной $name для
      определенного типа сообщения
     */
    if ($type == 'ok_gift') { // Принимаем подарок
        $name = 'принял' . ($avtor['pol'] == 1 ? "" : "а") . ' ваш подарок ';
    } elseif ($type == 'no_gift') { // Отказ от подарка
        $name = 'отклонил' . ($avtor['pol'] == 1 ? "" : "а") . ' ваш подарок ';
    } elseif ($type == 'new_gift') { // Подарки новые
        $name = 'сделал' . ($avtor['pol'] == 1 ? "" : "а") . ' вам подарок ';
    } elseif ($type == 'files_komm' || $type == 'obmen_komm') { // Файлы
        $name = 'ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в комментариях к файлу ';
    } elseif ($type == 'news_komm') { // Новости 
        $name = 'ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в комментариях к новости ';
    } elseif ($type == 'status_komm') { // Статусы
        $status = dbassoc(dbquery("SELECT * FROM `status` WHERE `id` = '" . $post['id_object'] . "' LIMIT 1"));
        $name = 'ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в комментариях этого ';
    } elseif ($type == 'foto_komm') { // Фото 
        $name = 'ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в комментариях к фотографии ';
    } elseif ($type == 'notes_komm') { // Блоги
        $name = 'ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в комментариях к блогу ';
    } elseif ($type == 'them_komm') { // форум
        $name = 'ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в теме ';
    } elseif ($type == 'stena_komm') { // Стена
        $stena = get_user($post['id_object']);
        if ($stena['id'] == $user['id']) {
            $sT = 'вашей';
        } elseif ($stena['id'] == $avtor['id']) {
            $sT = 'своей';
        } else {
            $sT = null;
        }
        $name = 'ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам на ' . $sT;
    } elseif ($type == 'guest' || $type == 'adm_komm') { // Гостевая, админ чат
        $name = 'ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в ';
    } elseif ($type == 'del_frend') { // Уведомления о удаленных друзьях
        $name = ' к сожалению удалил' . ($avtor['pol'] == 1 ? "" : "а") . ' вас из списка друзей';
    } elseif ($type == 'no_frend') { // Уведомления о отклоненных заявках в друзья
        $name = ' к сожалению отказал' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в дружбе';
    } elseif ($type == 'ok_frend') { // Уведомления о принятых заявках в друзья
        $name = ' стал' . ($avtor['pol'] == 1 ? "" : "а") . ' вашим другом';
    } elseif ($type == 'otm_frend') { // Уведомления о отмененных заявках в друзья
        $name = ' отменил' . ($avtor['pol'] == 1 ? "" : "а") . ' свою заявку на добавление вас в друзья';
    } elseif ($type == 'stena_komm2') {
        $name = ' написал ' . ($avtor['pol'] == 1 ? ' ' : 'a') . ' у Вас <a href="/user/komm.php?id=' . $post['id_object'] . '">в записи на стене</a>';
    }

    /* Подарки */
    if ($type == 'new_gift' || $type == 'no_gift' || $type == 'ok_gift') {
        if ($type == 'new_gift') {
            $id_gift = dbassoc(dbquery("SELECT id,id_gift FROM `gifts_user` WHERE `id` = '$post[id_object]' LIMIT 1"));
            $gift = dbassoc(dbquery("SELECT * FROM `gift_list` WHERE `id` = '$id_gift[id_gift]' LIMIT 1"));
        } else {
            $gift = dbassoc(dbquery("SELECT * FROM `gift_list` WHERE `id` = '$post[id_object]' LIMIT 1"));
        }
        if ($avtor['id']) {
            echo "<i class='mdi mdi-gift mdi-36px'></i>";
            echo group($avtor['id']) . " ";
            echo user::nick($avtor['id'], 1, 1, 1) . " <br /> " . $name;
            if ($type == 'new_gift') {
                echo '<a href="/user/gift/gift.php?id=' . $id_gift['id'] . '"><img src="/sys/gift/' . $gift['id'] . '.png" style="max-width:60px;" alt="*" /> ' . htmlspecialchars($gift['name']) . '</a>';
            } else {
                echo '<img src="/sys/gift/' . $gift['id'] . '.png" style="max-width:60px;" alt="*" /> ' . htmlspecialchars($gift['name']);
            }
            echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        }
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }

        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }

    /* Друзья/Заявки */
    if ($type == 'no_frend' || $type == 'ok_frend' || $type == 'del_frend' || $type == 'otm_frend') {
        if ($avtor['id']) {
            echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>";
            echo "  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
            echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        } else {
            echo " Этот друг уже удален с сайта =)  $s1 " . vremja($post['time']) . " $s2";
        }
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
        dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
    }
    /* Блоги комментарии */
    if ($type == 'notes_komm') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        $notes = dbassoc(dbquery("SELECT * FROM `notes` WHERE `id` = '" . $post['id_object'] . "' LIMIT 1"));
        if ($notes['id']) {
            echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
            echo '<a href="/plugins/notes/list.php?id=' . $notes['id'] . '&amp;page=' . $pageEnd . '"><b>' . htmlspecialchars($notes['name']) . '</b></a> ';
            echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        } else {
            echo " Этот блог уже удален =(  $s1 " . vremja($post['time']) . " $s2";
        }
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    /* Файлы коментарии */
    if ($type == 'files_komm' || $type == 'obmen_komm') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }

        $file = dbassoc(dbquery("SELECT * FROM `obmennik_files` WHERE `id` = '" . $post['id_object'] . "' LIMIT 1"));
        $dir = dbassoc(dbquery("SELECT * FROM `user_files` WHERE `id` = '" . $file['my_dir'] . "' LIMIT 1"));
        $ras = $file['ras'];

        if ($file['id'] && $avtor['id']) {
            echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
            echo '<a href="/user/personalfiles/' . $file['id_user'] . '/' . $dir['id'] . '/?id_file=' . $file['id'] . '&amp;page=' . $pageEnd . '"><b>' . htmlspecialchars($file['name']) . '.' . $ras . '</b></a> ';
            echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        } else {
            echo " Этот " . (!$file['id'] ? "файл" : "пользователь" ) . " уже удален =(  $s1 " . vremja($post['time']) . " $s2";
        }
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    /* Фото комментарии */
    if ($type == 'foto_komm') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        $foto = dbassoc(dbquery("SELECT * FROM `gallery_foto` WHERE `id` = '" . $post['id_object'] . "' LIMIT 1"));
        if ($foto['id']) {
            echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
            echo " <a href='/foto/$foto[id_user]/$foto[id_gallery]/$foto[id]/?page=$pageEnd'>" . htmlspecialchars($foto['name']) . "</a> ";
            echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        } else {
            echo " Эта фотография уже удалена =(  $s1 " . vremja($post['time']) . " $s2";
        }
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    /* Форум комментарии */
    if ($type == 'them_komm') {
        $them = dbassoc(dbquery("SELECT * FROM `forum_t` WHERE `id` = '" . $post['id_object'] . "' LIMIT 1"));
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        if ($them['id']) {
            echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
            echo " <a href='/forum/$them[id_forum]/$them[id_razdel]/$them[id]/?page=$pageEnd'>" . htmlspecialchars($them['name']) . "</a>";
            echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        } else {
            echo " Эта тема уже удалена =(  $s1 " . vremja($post['time']) . " $s2";
        }
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    /* Стена юзера */
    if ($type == 'stena_komm') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
        echo "<a href='/info.php?id=$stena[id]&amp;page=$pageEnd'>стене</a> " . ($sT == null ? "$stena[nick]" : "") . "";
        echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    if ($type == 'stena_komm2') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        echo status($avtor['id']) . group($avtor['id']) . ' ';
        echo user::nick($avtor['id'], 1, 1, 1) . ' ' . $name . ' ';
        echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    if ($type == 'stena') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        echo status($avtor['id']) . group($avtor['id']) . ' ';
        echo user::nick($avtor['id'], 1, 1, 1) . ' написал' . ($avtor['pol'] == 0 ? 'a' : null) . ' у Вас на стене';
        echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    /* Стасус комментарии */
    if ($type == 'status_komm') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }

        if ($status['id']) {
            $ankS = get_user($status['id_user']);
            echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
            echo "<a href='/user/status/komm.php?id=$status[id]&amp;page=$pageEnd'>статуса</a> ";
            echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        } else {
            echo 'Статус уже удален =(';
        }
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }

    /* Новости коментарии */
    if ($type == 'news_komm') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        $news = dbassoc(dbquery("SELECT * FROM `news` WHERE `id` = '" . $post['id_object'] . "' LIMIT 1"));
        echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
        echo "<a href='/news/news.php?id=$news[id]&amp;page=$pageEnd'>" . htmlspecialchars($news['title']) . "</a> ";
        echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    /* Гостевая коментарии */
    if ($type == 'guest') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        if ($avtor['id']) {
            echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
            echo "<a href='/guest/?page=$pageEnd'>гостевой</a> ";
            echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        } else {
            echo 'Этот пользователь пользователь уже удален =(';
        }
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    /* Админ чат */
    if ($type == 'adm_komm') {
        if ($post['read'] == 0) {
            dbquery("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
        }
        echo status($avtor['id']) . group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
        echo "<a href='/plugins/admin/chat/?page=$pageEnd'>админ чате</a> ";
        echo "<small style='float:right'> $s1 " . vremja($post['time']) . " $s2</small>";
        echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'>Удалить</a></div>";
    }
    echo "</div>";
}


if ($k_page > 1) {
    str('?', $k_page, $page);
} // Вывод страниц

echo '<div class="list-group-item"><a href="?delete=all"><i class="mdi mdi-delete"></i> Удалить все уведомления</a> | <a href="settings.php">Настройки</a></div>';
echo "<div class=\"list-group-item\">\n";
echo "<a href='/info.php?id=$user[id]'><i class='mdi mdi-arrow-left'></i> $user[nick]</a> | <b>Уведомления</b>";
echo "</div>\n";
echo "</div>\n";

include_once TFOOT;
?>